-- ====================================================================================================
--	CRIA A TABELA DE RELACIONAMENTO USUARIO N <=> N ENDERECO.
-- ====================================================================================================
CREATE TABLE USUARIO_LIG_ENDERECO (
	ID_USUARIO INT NOT NULL,
	ID_ENDERECO INT NOT NULL,
	CONSTRAINT PK_USUARIO_LIG_ENDERECO PRIMARY KEY (ID_USUARIO, ID_ENDERECO),
	CONSTRAINT FK_USUARIO_LIG_ENDERECO_T_USUARIO FOREIGN KEY (ID_USUARIO) REFERENCES USUARIO(ID),
	CONSTRAINT FK_USUARIO_LIG_ENDERECO_T_ENDERECO FOREIGN KEY (ID_ENDERECO) REFERENCES ENDERECO(ID)
);

-- ====================================================================================================
--	CRIA A TABELA DE RELACIONAMENTO USUARIO N <=> N CONTATO.
-- ====================================================================================================
CREATE TABLE USUARIO_LIG_CONTATO (
	ID_USUARIO INT NOT NULL,
	ID_CONTATO INT NOT NULL,
	CONSTRAINT PK_USUARIO_LIG_CONTATO PRIMARY KEY (ID_USUARIO, ID_CONTATO),
	CONSTRAINT FK_PK_USUARIO_LIG_CONTATO_T_USUARIO FOREIGN KEY (ID_USUARIO) REFERENCES USUARIO(ID),
	CONSTRAINT FK_PK_USUARIO_LIG_CONTATO_T_CONTATO FOREIGN KEY (ID_CONTATO) REFERENCES CONTATO(ID)
);

-- ====================================================================================================
--	CRIA A TABELA DE RELACIONAMENTO USUARIO N <=> N ANIVERSARIO.
-- ====================================================================================================
CREATE TABLE USUARIO_LIG_ANIVERSARIO (
	ID_USUARIO INT NOT NULL,
	ID_ANIVERSARIO INT NOT NULL,
	CONSTRAINT PK_USUARIO_LIG_ANIVERSARIO PRIMARY KEY (ID_USUARIO, ID_ANIVERSARIO),
	CONSTRAINT FK_USUARIO_LIG_ANIVERSARIO_T_USUARIO FOREIGN KEY (ID_USUARIO) REFERENCES USUARIO(ID),
	CONSTRAINT FK_USUARIO_LIG_ANIVERSARIO_T_ANIVERSARIO FOREIGN KEY (ID_ANIVERSARIO) REFERENCES ANIVERSARIO(ID)
);

-- ====================================================================================================
--	CRIA A TABELA DE RELACIONAMENTO USUARIO N <=> N DADOS_BANCARIOS.
-- ====================================================================================================
CREATE TABLE USUARIO_LIG_DADOS_BANCARIOS (
	ID_USUARIO INT NOT NULL, 
	ID_DADOS_BANCARIOS INT NOT NULL,
	CONSTRAINT PK_USUARIO_LIG_DADOS_BANCARIOS PRIMARY KEY (ID_USUARIO, ID_DADOS_BANCARIOS),
	CONSTRAINT FK_USUARIO_LIG_DADOS_BANCARIOS_T_USUARIO FOREIGN KEY (ID_USUARIO) REFERENCES USUARIO(ID),
	CONSTRAINT FK_USUARIO_LIG_DADOS_BANCARIOS_T_DADOS_BANCARIOS FOREIGN KEY (ID_DADOS_BANCARIOS) REFERENCES DADOS_BANCARIOS(ID)
);

-- ====================================================================================================
--	CRIA A TABELA DE RELACIONAMENTO REPRESENTANTE N <=> N REFERENCIA_COMERCIAL.
-- ====================================================================================================
CREATE TABLE REPRESENTANTE_LIG_REFERENCIA_COMERCIAL (
	ID_USUARIO INT NOT NULL,
	ID_REFERENCIA_COMERCIAL INT NOT NULL,
	CONSTRAINT PK_REPRESENTANTE_LIG_REFERENCIA_COMERCIAL PRIMARY KEY (ID_USUARIO, ID_REFERENCIA_COMERCIAL),
	CONSTRAINT FK_REPRESENTANTE_LIG_REFERENCIA_COMERCIAL_T_REPRESENTANTE FOREIGN KEY (ID_USUARIO) REFERENCES REPRESENTANTE(ID_USUARIO),
	CONSTRAINT FK_REPRESENTANTE_LIG_REFERENCIA_COMERCIAL_T_REFERENCIA_COMERCIAL FOREIGN KEY (ID_REFERENCIA_COMERCIAL) REFERENCES REFERENCIA_COMERCIAL(ID)
);

-- ====================================================================================================
--	CRIA A TABELA DE RELACIONAMENTO REFERENCIA_COMERCIAL N <=> N CONTATO.
-- ====================================================================================================
CREATE TABLE REFERENCIA_COMERCIAL_LIG_CONTATO (
	ID_REFERENCIA_COMERCIAL INT NOT NULL,
	ID_CONTATO INT NOT NULL,
	CONSTRAINT PK_REFERENCIA_COMERCIAL_LIG_CONTATO PRIMARY KEY (ID_REFERENCIA_COMERCIAL, ID_CONTATO),
	CONSTRAINT FK_REFERENCIA_COMERCIAL_LIG_CONTATO_T_REFERENCIA_COMERCIAL FOREIGN KEY (ID_REFERENCIA_COMERCIAL) REFERENCES REFERENCIA_COMERCIAL(ID),
	CONSTRAINT FK_REFERENCIA_COMERCIAL_LIG_CONTATO_T_CONTATO FOREIGN KEY (ID_CONTATO) REFERENCES CONTATO(ID)
);