-- ==================================================
--	CRIA A TABELA DE PRODUTO.
-- ==================================================
CREATE TABLE PRODUTO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_PRODUTO PRIMARY KEY,
	BLOQUEADO BIT NOT NULL,
	CODIGO_SB1010 VARCHAR(30),
	CODIGO_CONSOLIDADOR_SB1010 VARCHAR(30),
	CODIGO_BARRAS VARCHAR(30),
	CODIGO_NCM VARCHAR(10),
	DESCRICAO VARCHAR (50) NOT NULL,
	DESCRICAO_ENG VARCHAR (250),
	STATUS VARCHAR(20),
	CURVA VARCHAR(1),
	PRECO_VENDA DECIMAL(18,2) NOT NULL,
	GERA_PCP BIT NOT NULL,
	ID_SB1010 INT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	ID_FAMILIA INT NOT NULL CONSTRAINT FK_PRODUTO_T_PRODUTO_FAMILIA FOREIGN KEY REFERENCES PRODUTO_FAMILIA(ID),
	ID_GRUPO INT NOT NULL CONSTRAINT FK_PRODUTO_T_PRODUTO_GRUPO FOREIGN KEY REFERENCES PRODUTO_GRUPO(ID),
	ID_IMAGEM BINARY(16) CONSTRAINT FK_PRODUTO_T_ARQUIVO FOREIGN KEY REFERENCES ARQUIVO(ID)
);
