-- ==================================================
--	CRIA A TABELA DE CLIENTE.
-- ==================================================
CREATE TABLE CLIENTE (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_CLIENTE PRIMARY KEY,
	LOJA VARCHAR(2),
	FASE_CADASTRO VARCHAR(20),
	TIPO VARCHAR(20),
	CODIGO_SA1010 VARCHAR(6),
	NOME_FANTASIA VARCHAR(30),
	RAZAO_SOCIAL VARCHAR(60),
	PESSOA VARCHAR(8) NOT NULL,
	TIPO_PESSOA VARCHAR(20),
	TIPO_FRETE VARCHAR(12),
	CNPJ VARCHAR(14),
	CPF VARCHAR(11),
	INSCRICAO_ESTADUAL VARCHAR(18),
	CNAE VARCHAR(9),
	SUFRAMA VARCHAR(12),
	TIPO_INCENTIVO VARCHAR(150),
	SITUACAO_CADASTRAL VARCHAR(30),
	SITUACAO_CADASTRAL_DATA DATE,
	SITUACAO_CADASTRAL_MOTIVO VARCHAR(100),
	SITUACAO_CADASTRAL_PESSOA_FISICA VARCHAR(20),
	PORTE VARCHAR(15),
	REGIONAL VARCHAR(30),
	BLOQUEIO_FISCAL VARCHAR(25),
	OBSERVACAO VARCHAR(510),
	NATUREZA_JURIDICA_CODIGO VARCHAR(6),
	NATUREZA_JURIDICA_DESCRICAO VARCHAR(100),
	CAPITAL_SOCIAL DECIMAL(18,2),
	ALIQUOTA_COMISSAO DECIMAL(18,2),
	DESCONTO_WEB INT,
	REGIME_ESPECIAL BIT,
	CONTRIBUINTE BIT,
	OPTANTE_SIMPLES_NACIONAL BIT,
	DATA_ABERTURA DATE,
	DATA_NASCIMENTO_FISICA DATE,
	DATA_INSCRICAO_FISICA DATE,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_ULTIMO_ACESSO DATETIME,
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	BLOQUEADO BIT NOT NULL,
	ID_SA1010 INT,
	SYNC_DOCUMENTO_RECEITA_FEDERAL BIT,
	SYNC_SIMPLES_NACIONAL BIT,
	TENTATIVAS_SIMPLES_NACIONAL INT,
	SYNC_INSCRICAO_ESTADUAL BIT,
	TENTATIVAS_INSCRICAO_ESTADUAL INT,
	SYNC_SUFRAMA BIT,
	TENTATIVAS_SUFRAMA INT,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	ID_USUARIO INT CONSTRAINT FK_CLIENTE_T_USUARIO FOREIGN KEY REFERENCES USUARIO(ID),
	ID_TABELA_PRECO INT CONSTRAINT FK_CLIENTE_T_TABELA_PRECO FOREIGN KEY REFERENCES TABELA_PRECO(ID),
	ID_REPRESENTANTE INT CONSTRAINT FK_CLIENTE_T_REPRESENTANTE FOREIGN KEY REFERENCES REPRESENTANTE(ID_USUARIO),
	ID_CLIENTE_GRUPO INT CONSTRAINT FK_CLIENTE_T_CLIENTE_GRUPO FOREIGN KEY REFERENCES CLIENTE_GRUPO(ID),
	ID_CLIENTE_GRUPO_TRIBUTARIO INT CONSTRAINT FK_CLIENTE_T_CLIENTE_GRUPO_TRIBUTARIO FOREIGN KEY REFERENCES CLIENTE_GRUPO_TRIBUTARIO(ID),
	ID_TRANSPORTADORA INT CONSTRAINT FK_CLIENTE_T_TRANSPORTADORA FOREIGN KEY REFERENCES TRANSPORTADORA(ID),
	ID_CONDICAO_PAGAMENTO INT CONSTRAINT FK_CLIENTE_T_CONDICAO_PAGAMENTO FOREIGN KEY REFERENCES CONDICAO_PAGAMENTO(ID),
	ID_CONDICAO_PAGAMENTO_ESPECIAL INT CONSTRAINT FK_CLIENTE_T_CONDICAO_PAGAMENTO_ESPECIAL FOREIGN KEY REFERENCES CONDICAO_PAGAMENTO(ID),
	ID_CONTATO_PRINCIPAL INT CONSTRAINT FK_CLIENTE_T_CONTATO_PRINCIPAL FOREIGN KEY REFERENCES CONTATO(ID),
	ID_CONTATO_TROCA INT CONSTRAINT FK_CLIENTE_T_CONTATO_TROCA FOREIGN KEY REFERENCES CONTATO(ID),
	ID_CONTATO_COMPLEMENTAR INT CONSTRAINT FK_CLIENTE_T_CONTATO_COMPLEMENTAR FOREIGN KEY REFERENCES CONTATO(ID),
	ID_CONTATO_FINANCEIRO INT CONSTRAINT FK_CLIENTE_T_CONTATO_FINANCEIRO FOREIGN KEY REFERENCES CONTATO(ID),
	ID_ENDERECO_PRINCIPAL INT CONSTRAINT FK_CLIENTE_T_ENDERECO_PRINCIPAL FOREIGN KEY REFERENCES ENDERECO(ID),
	ID_ENDERECO_COBRANCA INT CONSTRAINT FK_CLIENTE_T_ENDERECO_COBRANCA FOREIGN KEY REFERENCES ENDERECO(ID),
	ID_ENDERECO_TROCA INT CONSTRAINT FK_CLIENTE_T_ENDERECO_TROCA FOREIGN KEY REFERENCES ENDERECO(ID),
	ID_ENDERECO_ENTREGA INT CONSTRAINT FK_CLIENTE_T_ENDERECO_ENTREGA FOREIGN KEY REFERENCES ENDERECO(ID),
	ID_SEGMENTO INT CONSTRAINT FK_CLIENTE_T_SEGMENTO FOREIGN KEY REFERENCES CLIENTE_SEGMENTO(ID),
	ID_IMAGEM BINARY(16) CONSTRAINT FK_CLIENTE_T_ARQUIVO FOREIGN KEY REFERENCES ARQUIVO(ID)
);

