-- ==================================================
--	CRIA A TABELA DE RESERVA.
-- ==================================================
CREATE TABLE RESERVA (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_RESERVA PRIMARY KEY,
	FILIAL VARCHAR(14) NOT NULL,
	STATUS_APROVACAO VARCHAR(12),
	CODIGO_SC0010 VARCHAR(6),
	QUANTIDADE_ORIGINAL INT NOT NULL,
	QUANTIDADE_SALDO INT NOT NULL,
	QUANTIDADE_ELIMINADA INT NOT NULL,
	OBSERVACAO VARCHAR(80),
	DATA_VALIDADE DATE,
	ID_SC0010 INT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	ID_PRODUTO INT CONSTRAINT FK_RESERVA_T_PRODUTO FOREIGN KEY REFERENCES PRODUTO(ID),
	ID_REPRESENTANTE INT CONSTRAINT FK_RESERVA_T_REPRESENTANTE FOREIGN KEY REFERENCES REPRESENTANTE(ID_USUARIO),
	ID_CLIENTE INT CONSTRAINT FK_RESERVA_T_CLIENTE FOREIGN KEY REFERENCES CLIENTE(ID),
	ID_USUARIO INT CONSTRAINT FK_RESERVA_T_USUARIO FOREIGN KEY REFERENCES USUARIO(ID)
);
