-- ==================================================
--	CRIA A TABELA DE ORCAMENTO
-- ==================================================
CREATE TABLE ORCAMENTO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_ORCAMENTO PRIMARY KEY,
	FILIAL VARCHAR(14) NOT NULL,
	TIPO VARCHAR(20) NOT NULL,
	FASE_CADASTRO VARCHAR(20),
	TIPO_FRETE VARCHAR(12),
	OBSERVACAO VARCHAR(250),
	MENSAGEM_NOTA VARCHAR(250),
	EMAIL_CARTAO_CREDITO VARCHAR(100),
	VALOR_FRETE DECIMAL(18,2),
	VALOR_TOTAL DECIMAL(18,2),
	VALOR_TOTAL_FATURA DECIMAL(18,2),
	MARGEM DECIMAL(18,2),
	MARGEM_GROSS DECIMAL(18,2),
	COMISSAO_REPRESENTANTE DECIMAL(18,2),
	COMISSAO_REPRESENTANTE_2 DECIMAL(18,2),
	ALIQUOTA_ST DECIMAL(18,2),
	ALIQUOTA_IPI DECIMAL(18,2),
	ALIQUOTA_ICC DECIMAL(18,2),
	ALIQUOTA_DIF DECIMAL(18,2),
	ALIQUOTA_ICMS DECIMAL(18,2),
	ALIQUOTA_PIS DECIMAL(18,2),
	ALIQUOTA_COFINS DECIMAL(18,2),
	ALIQUOTA_ZFC DECIMAL(18,2),
	ALIQUOTA_ZFP DECIMAL(18,2),
	ALIQUOTA_COMPLEMENTAR_FECP DECIMAL(18,2),
	ALIQUOTA_FECP_DO_ST DECIMAL(18,2),
	ALIQUOTA_PROPRIO_FECP DECIMAL(18,2),
	ALIQUOTA_DESPESA DECIMAL(18,2),
	ALIQUOTA_FRETE DECIMAL(18,2),
	VALOR_ST DECIMAL(18,2),
	VALOR_IPI DECIMAL(18,2),
	VALOR_ICC DECIMAL(18,2),
	VALOR_DIF DECIMAL(18,2),
	VALOR_ICMS DECIMAL(18,2),
	VALOR_PIS DECIMAL(18,2),
	VALOR_COFINS DECIMAL(18,2),
	VALOR_ZFC DECIMAL(18,2),
	VALOR_ZFP DECIMAL(18,2),
	VALOR_COMPLEMENTAR_FECP DECIMAL(18,2),
	VALOR_FECP_DO_ST DECIMAL(18,2),
	VALOR_PROPRIO_FECP DECIMAL(18,2),
	VALOR_TOTAL_SUFRAMA DECIMAL(18,2),
	VALOR_TOTAL_IMPOSTO DECIMAL(18,2),
	DATA_ULTIMO_CALCULO_IMPOSTO DATETIME,
	CALCULANDO_IMPOSTO BIT,
	CALCULADO_IMPOSTO BIT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_ULTIMO_ACESSO DATETIME,
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_CLIENTE INT NOT NULL CONSTRAINT FK_ORCAMENTO_T_CLIENTE FOREIGN KEY REFERENCES CLIENTE(ID),
	ID_REPRESENTANTE INT CONSTRAINT FK_ORCAMENTO_T_REPRESENTANTE FOREIGN KEY REFERENCES REPRESENTANTE(ID_USUARIO),
	ID_REPRESENTANTE_2 INT CONSTRAINT FK_ORCAMENTO_T_REPRESENTANTE_2 FOREIGN KEY REFERENCES REPRESENTANTE(ID_USUARIO),
	ID_CONDICAO_PAGAMENTO INT CONSTRAINT FK_ORCAMENTO_T_CONDICAO_PAGAMENTO FOREIGN KEY REFERENCES CONDICAO_PAGAMENTO(ID),
	ID_TRANSPORTADORA INT CONSTRAINT FK_ORCAMENTO_T_TRANSPORTADORA FOREIGN KEY REFERENCES TRANSPORTADORA(ID)
);
