-- ==================================================
--	CRIA A TABELA DE PEDIDO ITEM
-- ==================================================
CREATE TABLE PEDIDO_ITEM (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_PEDIDO_ITEM PRIMARY KEY,
	DESCRICAO VARCHAR(250),
	SEQUENCIAL INT,
	ITEM INT NOT NULL,
	TIPO_DESCONTO VARCHAR(10),
	QUANTIDADE_VENDIDA INT NOT NULL,
	QUANTIDADE_LIBERADA INT,
	NUMERO_RESERVA VARCHAR(6),
	ARMAZEM VARCHAR(2),
	ENDERECO_PADRAO_ARMAZEM VARCHAR(15),
	CODIGO_PEDIDO_COMPRA_CLIENTE VARCHAR(9),
	LOTE_PRODUTO VARCHAR(10),
	CODIGO_EXECUCAO_WMS VARCHAR(3),
	CODIGO_ENDERECO_WMS VARCHAR(15),
	NUMERO_PEDIDO_COMPRA VARCHAR(15),
	ITEM_PEDIDO_COMPRA VARCHAR(6),
	PEDIDO_OPERACAO_WEB VARCHAR(90),
	TIPO_OPERACAO VARCHAR(90),
	ACRESCIMO DECIMAL(18,2),
	ACRESCIMO_PORCENTO DECIMAL(18,2),
	DESCONTO_CLASSE DECIMAL(18,2),
	DESCONTO_CLASSE_PORCENTO DECIMAL(18,2),
	DESCONTO_FRETE DECIMAL(18,2),
	DESCONTO_FRETE_PORCENTO DECIMAL(18,2),
	DESCONTO_PAGAMENTO_ANTECIPADO DECIMAL(18,2),
	DESCONTO_PAGAMENTO_ANTECIPADO_PORCENTO DECIMAL(18,2),
	DESCONTO_TOTAL DECIMAL(18,2),
	DESCONTO_TOTAL_PORCENTO DECIMAL(18,2),
	DESCONTO_MAXIMO DECIMAL(18,2),
	DESCONTO_MAXIMO_PORCENTO DECIMAL(18,2),
	COMISSAO_PORCENTO DECIMAL(18,2),
	COMISSAO DECIMAL(18,2),
	COMISSAO_PORCENTO_2 DECIMAL(18,2),
	COMISSAO_2 DECIMAL(18,2),
	VALOR_TOTAL DECIMAL(18,2),
	VALOR_TOTAL_FATURA DECIMAL(18,2),
	PRECO_LISTA DECIMAL(18,2),
	PRECO_VENDA DECIMAL(18,2),
	ALICOTA_DESPESA DECIMAL(18,2),
	VALOR_DESPESA DECIMAL(18,2),
	ALICOTA_FRETE DECIMAL(18,2),
	VALOR_FRETE DECIMAL(18,2),
	ALIQUOTA_ST DECIMAL(18,2),
	ALIQUOTA_IPI DECIMAL(18,2),
	ALIQUOTA_ICC DECIMAL(18,2),
	ALIQUOTA_DIF DECIMAL(18,2),
	ALIQUOTA_ICMS DECIMAL(18,2),
	ALIQUOTA_PIS DECIMAL(18,2),
	ALIQUOTA_COFINS DECIMAL(18,2),
	ALIQUOTA_ZFC DECIMAL(18,2),
	ALIQUOTA_ZFP DECIMAL(18,2),
	ALIQUOTA_COMPLEMENTAR_FECP DECIMAL(18,2),
	ALIQUOTA_FECP_DO_ST DECIMAL(18,2),
	ALIQUOTA_PROPRIO_FECP DECIMAL(18,2),
	ALIQUOTA_DESPESA DECIMAL(18,2),
	ALIQUOTA_FRETE DECIMAL(18,2),
	VALOR_ST DECIMAL(18,2),
	VALOR_IPI DECIMAL(18,2),
	VALOR_ICC DECIMAL(18,2),
	VALOR_DIF DECIMAL(18,2),
	VALOR_ICMS DECIMAL(18,2),
	VALOR_PIS DECIMAL(18,2),
	VALOR_COFINS DECIMAL(18,2),
	VALOR_ZFC DECIMAL(18,2),
	VALOR_ZFP DECIMAL(18,2),
	VALOR_COMPLEMENTAR_FECP DECIMAL(18,2),
	VALOR_FECP_DO_ST DECIMAL(18,2),
	VALOR_PROPRIO_FECP DECIMAL(18,2),
	VALOR_TOTAL_SUFRAMA DECIMAL(18,2),
	VALOR_TOTAL_IMPOSTO DECIMAL(18,2),
	DATA_ULTIMO_CALCULO_IMPOSTO DATETIME,
	CALCULANDO_IMPOSTO BIT,
	CALCULADO_IMPOSTO BIT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_ULTIMO_ACESSO DATETIME,
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_SC6010 INT,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	ID_PEDIDO INT CONSTRAINT FK_PEDIDO_ITEM_T_PEDIDO FOREIGN KEY REFERENCES PEDIDO(ID),
	ID_PRODUTO INT NOT NULL CONSTRAINT FK_PEDIDO_ITEM_T_PRODUTO FOREIGN KEY REFERENCES PRODUTO(ID),
	ID_ORCAMENTO_ITEM INT CONSTRAINT FK_PEDIDO_ITEM_T_ORCAMENTO_ITEM FOREIGN KEY REFERENCES ORCAMENTO_ITEM(ID),
	ID_RESERVA INT CONSTRAINT FK_PEDIDO_ITEM_T_RESERVA FOREIGN KEY REFERENCES RESERVA(ID)
);
