-- ================================================
-- Template generated from Template Explorer using:
-- Create Procedure (New Menu).SQL
--
-- Use the Specify Values for Template Parameters 
-- command (Ctrl-Shift-M) to fill in the parameter 
-- values below.
--
-- This block of comments will not be included in
-- the definition of the procedure.
-- ================================================
SET ANSI_NULLS ON;
GO
SET QUOTED_IDENTIFIER ON;
GO
-- =============================================
-- Author:		<RODRIGO>
-- Create date: <2018/09/18>
-- Description:	<
-- IMPORTA TODOS AS PERMISSOES DO PROTHEUS PARA O FORNECEDORES
-- Para realizar a importação dos usuarios:
-- *********************************************
-- O cadastro no protheus deve estar com as seguintes condições:
-- 1 => A permissao deve ter tipo cadastrado
-- 2 => A permissao deve ter plataforma 'SUP' cadastrado
-- 3 => A permissao não pode estar deletado
-- 4 => A permissao deve ter código Único
-- *********************************************
-- >
-- =============================================
CREATE OR ALTER PROCEDURE PROC_PLAT_IMPORTAR_PERMISAO_DO_PROTHEUS AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	DECLARE @CODIGO VARCHAR(6);
	DECLARE @TIPO VARCHAR(30);
	DECLARE @DESCRICAO VARCHAR(100);
	DECLARE @BLOQUEADO VARCHAR(1);
	DECLARE @ID_SZT010 INT;

	-- ==================================================
	--	CRIA O CURSOR
	-- ==================================================
	DECLARE CURS_PLAT_IMPORTAR_PERMISSAO_DO_PROTHEUS CURSOR 
	LOCAL STATIC READ_ONLY FORWARD_ONLY
	FOR 
		SELECT SZT.ZT_COD, SZT.ZT_TIPO, RTRIM(LTRIM(SZT.ZT_DESCRIC)), SZT.ZT_MSBLQL, SZT.R_E_C_N_O_
		FROM AVANT.dbo.SZT010 AS SZT
		WHERE SZT.D_E_L_E_T_ = ''
		AND SZT.ZT_PLATAFO = 'PRC';	

	OPEN CURS_PLAT_IMPORTAR_PERMISSAO_DO_PROTHEUS;
	FETCH NEXT FROM CURS_PLAT_IMPORTAR_PERMISSAO_DO_PROTHEUS INTO @CODIGO, @TIPO, @DESCRICAO, @BLOQUEADO, @ID_SZT010;
	WHILE @@FETCH_STATUS = 0
	BEGIN 
		-- ==================================================
		--	VERIFICA SE A PERMISSAO JA NAO ESTA CADASTRADO
		-- ==================================================
		IF NOT EXISTS (SELECT ID FROM PERMISSAO WHERE ID_SZT010 = @ID_SZT010) 
		BEGIN
			-- ==================================================
			--	ADICIONA OS PERMISSOES DO PROTHEUS
			-- ==================================================
			BEGIN TRANSACTION;
			INSERT INTO PERMISSAO (CODIGO_SZT010, NOME, DESCRICAO, DATA_CADASTRO, CADASTRADO_POR, BLOQUEADO, ID_SZT010)
			VALUES (@CODIGO, @TIPO, @DESCRICAO, GETDATE(), 'PROTHEUS',
			CASE WHEN @BLOQUEADO = '2' THEN 0 ELSE 1 END,
				@ID_SZT010);
			COMMIT;
		END;

		FETCH NEXT FROM CURS_PLAT_IMPORTAR_PERMISSAO_DO_PROTHEUS INTO @CODIGO, @TIPO, @DESCRICAO, @BLOQUEADO, @ID_SZT010;
	END;

	-- ==================================================
	--	FECHA E REMOVE O CURSOR
	-- ==================================================
	CLOSE CURS_PLAT_IMPORTAR_PERMISSAO_DO_PROTHEUS;
	DEALLOCATE CURS_PLAT_IMPORTAR_PERMISSAO_DO_PROTHEUS;
END;
