-- ================================================
-- Template generated from Template Explorer using:
-- Create Procedure (New Menu).SQL
--
-- Use the Specify Values for Template Parameters 
-- command (Ctrl-Shift-M) to fill in the parameter 
-- values below.
--
-- This block of comments will not be included in
-- the definition of the procedure.
-- ================================================
SET ANSI_NULLS ON;
GO
SET QUOTED_IDENTIFIER ON;
GO
-- =============================================
-- Author:		<RODRIGO, EWERSON>
-- Create date: <2018/08/22>
-- Description:	<
-- IMPORTA TODOS OS USUARIOS DO PROTHEUS PARA O FORNECEDORES
-- Para realizar a importação dos usuarios:
-- *********************************************
-- O cadastro no protheus deve estar com as seguintes condições:
-- 1 => O usuario deve ter email cadastrado
-- 2 => O usuario não pode estar bloqueado
-- 3 => O usuario não pode estar deletado
-- 4 => O usuario tem que uma permissão
-- 6 => O usuario deve ter código único
-- *********************************************
-- >
-- =============================================
CREATE OR ALTER PROCEDURE PROC_PLAT_IMPORTAR_USUARIO_DO_PROTHEUS AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	DECLARE @CODIGO VARCHAR(6);
	DECLARE @NOME VARCHAR(60);
	DECLARE @OBSERVACAO VARCHAR(100);
	DECLARE @EMAIL VARCHAR(80);
	DECLARE @CODIGO_PERMISSAO VARCHAR(6);
    DECLARE @BLOQUEADO VARCHAR(1);
	DECLARE @DELETADO VARCHAR(1);
	DECLARE @ID_SZR010 INT;

	-- ==================================================
	--	CRIA O CURSOR
	-- ==================================================
	DECLARE CURS_PLAT_IMPORTAR_USUARIO_DO_PROTHEUS CURSOR 
	LOCAL STATIC READ_ONLY FORWARD_ONLY
	FOR 
		SELECT SZR.ZR_COD, RTRIM(LTRIM(SZR.ZR_NOME)) [NOME], RTRIM(LTRIM(SZR.ZR_OBS)) [OBS], RTRIM(LTRIM(SZR.ZR_EMAIL)) [EMAIL], SZR.D_E_L_E_T_, SZR.ZR_MSBLQL, SZR.R_E_C_N_O_
		FROM AVANT.dbo.SZR010 AS SZR
		--LEFT JOIN AVANT.dbo.SZS010 AS SZS ON SZR.ZR_COD = SZS.ZS_LOGIN AND SZS.D_E_L_E_T_ = ''
		--LEFT JOIN AVANT.dbo.SZT010 AS SZT ON SZS.ZS_PERMIS = SZT.ZT_COD AND SZT.D_E_L_E_T_ = '' AND SZT.ZT_PLATAFO <> 'SUP'
		WHERE SZR.R_E_C_N_O_ = '1';
		-- WHERE SZR.D_E_L_E_T_ = ''
		--	AND SZR.ZR_EMAIL <> ''
		--	AND SZR.ZR_NOME <> '';
		

	OPEN CURS_PLAT_IMPORTAR_USUARIO_DO_PROTHEUS;
	FETCH NEXT FROM CURS_PLAT_IMPORTAR_USUARIO_DO_PROTHEUS INTO @CODIGO, @NOME, @OBSERVACAO, @EMAIL, @DELETADO, @BLOQUEADO, @ID_SZR010;
	WHILE @@FETCH_STATUS = 0
	BEGIN 
		-- ==================================================
		--	VERIFICA SE O USUARIO JA NAO ESTA CADASTRADO
		-- ==================================================
		IF NOT EXISTS (SELECT ID FROM USUARIO WHERE ID_SZR010 = @ID_SZR010) 
		BEGIN
			-- ==================================================
			--	ADICIONA OS USUARIOS DO PROTHEUS - senha = TESTE
			-- ==================================================
			BEGIN TRAN
			INSERT INTO USUARIO (CODIGO_SZR010, SENHA, NOME, EMAIL, OBSERVACAO, DATA_CADASTRO, CADASTRADO_POR, TRAVADO, BLOQUEADO, ID_SZR010)
			VALUES (@CODIGO, '$2a$10$7jqWqHyqPZz.4AEPgDfm2OYl7TuOzpuTAaIQKq7V1cNCxP9Hr.EH2', @NOME, @EMAIL, @OBSERVACAO, GETDATE(), 'QUERY IMPORTACAO', 0,
			CASE WHEN @BLOQUEADO = '2'THEN 0 ELSE 1 END,
			@ID_SZR010);
			COMMIT;

			
		END;

		FETCH NEXT FROM CURS_PLAT_IMPORTAR_USUARIO_DO_PROTHEUS INTO @CODIGO, @NOME, @OBSERVACAO, @EMAIL, @DELETADO, @BLOQUEADO, @ID_SZR010;
	END;

	-- ==================================================
	--	FECHA E REMOVE O CURSOR
	-- ==================================================
	CLOSE CURS_PLAT_IMPORTAR_USUARIO_DO_PROTHEUS;
	DEALLOCATE CURS_PLAT_IMPORTAR_USUARIO_DO_PROTHEUS;


	-- ==================================================
	--	CRIA O CURSOR
	-- ==================================================
	DECLARE CURS_PLAT_LISTAR_PERMISSOES_USUARIOS CURSOR 
	LOCAL STATIC READ_ONLY FORWARD_ONLY
	FOR 
		SELECT SZS.ZS_PERMIS, SZS.ZS_LOGIN
		FROM AVANT.dbo.SZS010 AS SZS
		INNER JOIN AVANT.dbo.SZT010 AS SZT ON SZT.ZT_COD = SZS.ZS_PERMIS AND SZT.ZT_PLATAFO = 'PRC';

	OPEN CURS_PLAT_LISTAR_PERMISSOES_USUARIOS;
	FETCH NEXT FROM CURS_PLAT_LISTAR_PERMISSOES_USUARIOS INTO @CODIGO_PERMISSAO, @CODIGO;
	WHILE @@FETCH_STATUS = 0
		BEGIN
			IF EXISTS (SELECT ID FROM PERMISSAO WHERE CODIGO_SZT010 = @CODIGO_PERMISSAO)
			BEGIN
				IF EXISTS (SELECT ID FROM USUARIO  WHERE CODIGO_SZR010 = @CODIGO)
				BEGIN
					IF NOT EXISTS (SELECT ID_PERMISSAO FROM USUARIO_LIG_PERMISSAO AS LIG 
						WHERE LIG.ID_PERMISSAO = (SELECT DISTINCT ID FROM PERMISSAO WHERE CODIGO_SZT010 = @CODIGO_PERMISSAO)
						AND LIG.ID_USUARIO = (SELECT DISTINCT ID FROM USUARIO WHERE CODIGO_SZR010 = @CODIGO))
					BEGIN
						-- ==================================================
						--	ADICIONA AS PERMISSOES NA TABELA DE LIGACAO.
						-- ==================================================
						BEGIN TRAN
						INSERT INTO USUARIO_LIG_PERMISSAO (ID_USUARIO, ID_PERMISSAO) VALUES
						((SELECT DISTINCT ID FROM USUARIO WHERE CODIGO_SZR010 = @CODIGO),
						(SELECT DISTINCT ID FROM PERMISSAO WHERE CODIGO_SZT010 = @CODIGO_PERMISSAO));
						COMMIT;
					END;
				END;
			END;
			FETCH NEXT FROM CURS_PLAT_LISTAR_PERMISSOES_USUARIOS INTO @CODIGO_PERMISSAO, @CODIGO;
		END;
	-- ==================================================
	--	FECHA E REMOVE O CURSOR
	-- ==================================================
	CLOSE CURS_PLAT_LISTAR_PERMISSOES_USUARIOS;
	DEALLOCATE CURS_PLAT_LISTAR_PERMISSOES_USUARIOS;

END;
