
-- ==================================================
--	CRIA A TABELA DE COMISSAO_REPRESENTANTE.
-- ==================================================
CREATE TABLE CLIENTE_SOCIO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_CLIENTE_SOCIO PRIMARY KEY,
	TIPO VARCHAR(18),
	CPF VARCHAR(14) NOT NULL CONSTRAINT UQ_CLIENTE_SOCIO_C_CPF UNIQUE,
	NOME VARCHAR(100),
	ID_Z04010 INT,
	CODIGO_Z04010 VARCHAR(6),
	DATA_INCLUSAO DATE,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME
);

-- ========================================================================
--	CRIA A TABELA LIGAÇÃO N PARA N DE => CLIENTE <=> CLIENTE_SOCIO.
-- ========================================================================
CREATE TABLE CLIENTE_LIG_SOCIO (
	ID_CLIENTE INT,
	ID_SOCIO INT,
	QUALIFICACAO VARCHAR(70),
	DATA_INCLUSAO DATE,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME
	CONSTRAINT PK_CLIENTE_LIG_SOCIO PRIMARY KEY (ID_CLIENTE, ID_SOCIO),
	CONSTRAINT FK_CLIENTE_LIG_SOCIO_T_USUARIO FOREIGN KEY (ID_CLIENTE) REFERENCES CLIENTE(ID),
	CONSTRAINT FK_CLIENTE_LIG_SOCIO_T_CLIENTE_SOCIO FOREIGN KEY (ID_SOCIO) REFERENCES CLIENTE_SOCIO(ID)
);