-- ==================================================
--	CRIA A TABELA DE BANCO.
-- ==================================================
CREATE TABLE BANCO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_BANCO PRIMARY KEY,
	FILIAL VARCHAR(6),
	CODIGO VARCHAR(4) NOT NULL,
	AGENCIA VARCHAR(6) NOT NULL,
	DIGITO_VERIFICADOR_AGENCIA CHAR(1),
	NOME_AGENCIA VARCHAR(40),
	CONTA_CORRENTE VARCHAR(10) NOT NULL,
	DIGITO_VERIFICADOR_CONTA CHAR(1),
	NUMERO VARCHAR(16),
	NOME VARCHAR(40),
	NOME_REDUZIDO VARCHAR(16),
	LAYOUT_DO_BOLETO VARCHAR(100),
	MENSAGEM_DOS_BOLETOS VARCHAR(240),
	CGC VARCHAR(14),
	EMAIL VARCHAR(80),
	TIPO_CONTA VARCHAR(20),
	DATA_BLOQUEIO_CONTA_CORRENTE DATE,
	GERA_BOLETO BIT,
	BLOQUEADO BIT,
	ID_SA6010 INT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME
);


-- ==================================================
--	CRIA A TABELA DE CLIENTE TITULO RECEBER.
-- ==================================================
CREATE TABLE CLIENTE_TITULO_RECEBER (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_CLIENTE_TITULO_RECEBER PRIMARY KEY,
	NUMERO VARCHAR(9) NOT NULL,
	NUMERO_BANCO VARCHAR(20),
	PARCELA VARCHAR(2),
	TIPO VARCHAR(50) NOT NULL,
	DATA_EMISSAO DATE NOT NULL,
	DATA_VENCIMENTO_REAL DATE NOT NULL,
	VALOR DECIMAL(18,2) NOT NULL,
	SALDO DECIMAL(18,2) NOT NULL,
	ID_SE1010 INT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_CLIENTE INT NOT NULL CONSTRAINT FK_CLIENTE_TITULO_RECEBER_T_CLIENTE FOREIGN KEY REFERENCES CLIENTE(ID),
	ID_BANCO INT CONSTRAINT FK_CLIENTE_TITULO_RECEBER_T_BANCO FOREIGN KEY REFERENCES BANCO(ID)
);

