-- ==================================================
--	CRIA A TABELA DE NOTA_FISCAL_SAIDA.
-- ==================================================
CREATE TABLE NOTA_FISCAL_SAIDA (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_NOTA_FISCAL_SAIDA PRIMARY KEY,
	NUMERO VARCHAR(9) NOT NULL,
	SERIE VARCHAR(3) NOT NULL,
	VALOR_SEM_IMPOSTO DECIMAL(18,2) NOT NULL,
	VALOR_COM_IMPOSTO DECIMAL(18,2) NOT NULL,
	DATA_EMISSAO DATE NOT NULL,
	DATA_TRANSMISSAO DATE,
	ID_SF2010 INT,
	DELETADO BIT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_PEDIDO INT CONSTRAINT FK_NOTA_FISCAL_SAIDA_T_PEDIDO FOREIGN KEY REFERENCES PEDIDO(ID),
	ID_REGIONAL INT NOT NULL CONSTRAINT FK_NOTA_FISCAL_SAIDA_T_REGIONAL FOREIGN KEY REFERENCES REGIONAL(ID),
	ID_REPRESENTANTE INT NOT NULL CONSTRAINT FK_NOTA_FISCAL_SAIDA_T_REPRESENTANTE FOREIGN KEY REFERENCES REPRESENTANTE(ID_USUARIO),
	ID_CLIENTE INT NOT NULL CONSTRAINT FK_NOTA_FISCAL_SAIDA_T_CLIENTE FOREIGN KEY REFERENCES CLIENTE(ID),
	ID_DANFE BINARY(16) CONSTRAINT FK_NOTA_FISCAL_SAIDA_T_ARQUIVO_DANFE FOREIGN KEY REFERENCES ARQUIVO(ID),
	ID_XML BINARY(16) CONSTRAINT FK_NOTA_FISCAL_SAIDA_T_ARQUIVO_XML FOREIGN KEY REFERENCES ARQUIVO(ID)
);

