-- ==================================================
--	CRIA A TABELA DE NOTA_FISCAL_SAIDA_ITEM
-- ==================================================
CREATE TABLE NOTA_FISCAL_SAIDA_ITEM (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_NOTA_FISCAL_SAIDA_ITEM PRIMARY KEY,
	FILIAL VARCHAR(14),
	DATA_EMISSAO DATE,
	ITEM INT,
	QUANTIDADE INT,
	QUANTIDADE_DEVOLUCAO INT,
	QUANTIDADE_EMPENHADA INT,
	PESO_LIQUIDO DECIMAL(19,3),
	PRECO_VENDA DECIMAL(18,2),
	PRECO_TOTAL DECIMAL(18,2),
	ICMS_VALOR DECIMAL(18,2),
	ICMS_ALIQUOTA DECIMAL(18,2),
	IPI_VALOR DECIMAL(18,2),
	IPI_ALIQUOTA DECIMAL(18,2),
	DIFAL_VALOR DECIMAL(18,2),
	PIS_VALOR DECIMAL(18,2),
	PIS_ALIQUOTA DECIMAL(18,2),
	PIS_BASE DECIMAL(18,2),
	COFINS_VALOR DECIMAL(18,2),
	COFINS_ALIQUOTA DECIMAL(18,2),
	COFINS_BASE DECIMAL(18,2),
	SUFRAMA_VALOR DECIMAL(18,2),
	SEGURO_VALOR DECIMAL(18,2),
	DESCONTO_VALOR DECIMAL(18,2),
	OUTRAS_DESPESAS_VALOR DECIMAL(18,2),
	ST_VALOR DECIMAL(18,2),
	ST_BASE DECIMAL(18,2),
	VALOR_BRUTO DECIMAL(18,2),
	CFOP VARCHAR(9),
	DELETADO BIT,
	ID_SD2010 INT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_NOTA_FISCAL_SAIDA INT NOT NULL CONSTRAINT FK_NOTA_FISCAL_SAIDA_ITEM_T_NOTA_FISCAL_SAIDA FOREIGN KEY REFERENCES NOTA_FISCAL_SAIDA(ID),
	ID_PRODUTO INT NOT NULL CONSTRAINT FK_NOTA_FISCAL_SAIDA_ITEM_T_PRODUTO FOREIGN KEY REFERENCES PRODUTO(ID)
);

-- ==================================================
--	ALTERA A TABELA DE NOTA_FISCAL_SAIDA
-- ==================================================
ALTER TABLE NOTA_FISCAL_SAIDA ADD
NATUREZA_OPERACAO VARCHAR(254);

