-- ==================================================
--	CRIA A TABELA DE PRODUTO_CLIENTE
-- ==================================================
CREATE TABLE PRODUTO_CLIENTE (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_PRODUTO_CLIENTE PRIMARY KEY,
	EAN VARCHAR(16),
	CODIGO VARCHAR(128),
	DESCRICAO VARCHAR(1024),
	DELETADO BIT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_CLIENTE INT NOT NULL CONSTRAINT FK_PRODUTO_CLIENTE_T_CLIENTE FOREIGN KEY REFERENCES CLIENTE(ID),
	ID_PRODUTO INT CONSTRAINT FK_PRODUTO_CLIENTE_T_PRODUTO FOREIGN KEY REFERENCES PRODUTO(ID)
);

-- ==================================================
--	CRIA A TABELA DE PRE_NOTA
-- ==================================================
CREATE TABLE PRE_NOTA (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_PRE_NOTA PRIMARY KEY,
	MODELO VARCHAR(10) NOT NULL,
	STATUS VARCHAR(20) NOT NULL,
	TIPO CHAR(1),
	NUMERO_NF_FORNECEDOR VARCHAR(9),
	NUMERO_CHAVE_NF_FORNECEDOR VARCHAR(44),
	SERIE VARCHAR(4),
	ESPECIE VARCHAR(6),
	ESPECIE_VOLUME VARCHAR(60),
	DATA_EMISSAO DATE,
	TIPO_FRETE VARCHAR(12),
	QUANTIDADE INT,
	MARCA VARCHAR(60),
	NUMERACAO VARCHAR(60),
	PESO_LIQUIDO DECIMAL(19,3),
	PESO_BRUTO DECIMAL(19,3),
	PRECO_VENDA DECIMAL(18,2),
	PRECO_TOTAL DECIMAL(18,2),
	ICMS DECIMAL(18,2),
	IPI DECIMAL(18,2),
	DIFAL DECIMAL(18,2),
	PIS DECIMAL(18,2),
	COFINS DECIMAL(18,2),
	SUFRAMA DECIMAL(18,2),
	ST DECIMAL(18,2),
	DESCONTO DECIMAL(18,2),
	SEGURO DECIMAL(18,2),
	FRETE DECIMAL(18,2),
	OUTRAS_DESPESAS DECIMAL(18,2),
	VALOR_BRUTO DECIMAL(18,2),
	INF_COMPLE VARCHAR(5000),
	DESCRICAO_ERRO_TOTVS VARCHAR(MAX),
	DELETADO BIT,
	ID_SF1010 INT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_CLIENTE INT NOT NULL CONSTRAINT FK_PRE_NOTA_T_CLIENTE FOREIGN KEY REFERENCES CLIENTE(ID),
	ID_TRANSPORTADORA INT CONSTRAINT FK_PRE_NOTA_T_TRANSPORTADORA FOREIGN KEY REFERENCES TRANSPORTADORA(ID),
	ID_XML_CLIENTE BINARY(16) CONSTRAINT FK_PRE_NOTA_T_ARQUIVO_XML_CLIENTE FOREIGN KEY REFERENCES ARQUIVO(ID)
);

-- ==================================================
--	CRIA A TABELA DE PRE_NOTA_ITEM
-- ==================================================
CREATE TABLE PRE_NOTA_ITEM (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_PRE_NOTA_ITEM PRIMARY KEY,
	ITEM INT,
	QUANTIDADE INT,
	PESO_LIQUIDO DECIMAL(19,3),
	PESO_BRUTO DECIMAL(19,3),
	PRECO_VENDA DECIMAL(18,2),
	PRECO_TOTAL DECIMAL(18,2),
	ICMS_VALOR DECIMAL(18,2),
	ICMS_ALIQUOTA DECIMAL(18,2),
	DIFAL_VALOR DECIMAL(18,2),
	PIS_VALOR DECIMAL(18,2),
	PIS_ALIQUOTA DECIMAL(18,2),
	PIS_BASE DECIMAL(18,2),
	COFINS_VALOR DECIMAL(18,2),
	COFINS_ALIQUOTA DECIMAL(18,2),
	COFINS_BASE DECIMAL(18,2),
	IPI_VALOR DECIMAL(18,2),
	IPI_ALIQUOTA DECIMAL(18,2),
	ST_VALOR DECIMAL(18,2),
	ST_BASE DECIMAL(18,2),
	SUFRAMA_VALOR DECIMAL(18,2),
	SEGURO_VALOR DECIMAL(18,2),
	DESCONTO_VALOR DECIMAL(18,2),
	OUTRAS_DESPESAS_VALOR DECIMAL(18,2),
	VALOR_BRUTO DECIMAL(18,2),
	CFOP VARCHAR(6),
	CST VARCHAR(3),
	UNIDADE_MEDIDA CHAR(2),
	ITEM_XML_CLIENTE_VALIDO BIT,
	ESTOQUE_EMPENHADO BIT,
	DELETADO BIT,
	ID_SD1010 INT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_PRE_NOTA INT NOT NULL CONSTRAINT FK_PRE_NOTA_ITEM_T_PRE_NOTA FOREIGN KEY REFERENCES PRE_NOTA(ID),
	ID_PRODUTO INT CONSTRAINT FK_PRE_NOTA_ITEM_T_PRODUTO FOREIGN KEY REFERENCES PRODUTO(ID),
	ID_PRODUTO_CLIENTE INT CONSTRAINT FK_PRE_NOTA_ITEM_T_PRODUTO_CLIENTE FOREIGN KEY REFERENCES PRODUTO_CLIENTE(ID),
	ID_NOTA_FISCAL_SAIDA_ITEM INT CONSTRAINT FK_PRE_NOTA_ITEM_T_NOTA_FISCAL_SAIDA_ITEM FOREIGN KEY REFERENCES NOTA_FISCAL_SAIDA_ITEM(ID)
);

-- ==================================================
--	ALTERA A TABELA DE PRODUTO
-- ==================================================
ALTER TABLE PRODUTO ADD
CODIGO_EAN VARCHAR(16);

-- ==================================================
--	ALTERA A TABELA DE REGIONAL
-- ==================================================
ALTER TABLE REGIONAL ADD
GERENTE_LISTAR_TODOS_REPRESENTANTES BIT;
