-- ==================================================
--	APAGA TABLEA DE VINCULACAO DE USUARIO
-- ==================================================
 DROP TABLE IF EXISTS USUARIO_LIG_DADOS_BANCARIOS
 
-- ==================================================
--	APAGA TABLEA DE DADOS BANCARIOS PARA CRIAR UMA NOVA
-- ==================================================
 DROP TABLE IF EXISTS DADOS_BANCARIOS
 
 -- ==================================================
--	CRIA A TABELA DE BANCO BRASIL.
-- ==================================================
CREATE TABLE BANCO_BRASIL (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_BANCO_BRASIL PRIMARY KEY,
	NUMERO_CODIGO VARCHAR(3) NOT NULL CONSTRAINT UQ_BANCO_BRASIL_C_NUMERO_CODIGO UNIQUE,
	NOME_REDUZIDO VARCHAR(100) NOT NULL,
	NOME_EXTENSO VARCHAR(255) NOT NULL,
	DATA_INICIO_OPERACAO DATE NOT NULL,
	DELETADO BIT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME
);
 
-- ==================================================
--	CRIA A TABELA DE DADOS BANCARIOS.
-- ==================================================
CREATE TABLE DADOS_BANCARIOS (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_DADOS_BANCARIOS PRIMARY KEY,
	ORIGEM VARCHAR(12) NOT NULL,
	TIPO VARCHAR(10),
	AGENCIA VARCHAR(6),
	AGENCIA_DV CHAR(1),
	CONTA VARCHAR(10),
	CONTA_DV CHAR(1),
	PIX_CHAVE VARCHAR(40),
	PIX_ACEITE BIT,
	BLOQUEADO BIT,
	DELETADO BIT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_BANCO_BRASIL INT CONSTRAINT FK_DADOS_BANCARIOS_T_BANCO_BRASIL FOREIGN KEY REFERENCES BANCO_BRASIL(ID)
);

-- ==================================================
--	ALTERA A TABELA DE CLIENTE
-- ==================================================
ALTER TABLE CLIENTE ADD
ID_DADOS_BANCARIOS INT CONSTRAINT FK_CLIENTE_T_DADOS_BANCARIOS FOREIGN KEY REFERENCES DADOS_BANCARIOS(ID); 
