-- ==================================================
--	CRIA A TABELA DE FILTRO
-- ==================================================
CREATE TABLE FILTRO
(
    ID                         INT IDENTITY (1, 1) NOT NULL,
    CADASTRADO_POR             VARCHAR(60),
    DATA_CADASTRO              DATETIME            NOT NULL,
    ULTIMA_MODIFICACAO_POR     VARCHAR(60),
    DATA_ULTIMA_ALTERACAO      DATETIME,
    NOME                       VARCHAR(255)        NOT NULL,
    DESCRICAO                  VARCHAR(510),
    TIPO                       VARCHAR(20)         NOT NULL,
    VALOR_DEFAULT              VARCHAR(MAX),
    RESTRICAO_DEFAULT          VARCHAR(20)         NOT NULL,
    COMPONENTE                 VARCHAR(255)        NOT NULL,
    MODULO                     VARCHAR(255)        NOT NULL,
    CAMPO                      VARCHAR(255)        NOT NULL,
    PREENCHIMENTO_AUTO_DEFAULT BIT,
    DELETADO                   BIT,
    CONSTRAINT PK_FILTRO PRIMARY KEY (ID)
)
GO

-- ==================================================
--	CRIA A TABELA DE FILTRO_USUARIO
-- ==================================================
CREATE TABLE FILTRO_USUARIO
(
    ID_FILTRO              INT         NOT NULL,
    ID_USUARIO             INT         NOT NULL,
    CADASTRADO_POR         VARCHAR(60),
    DATA_CADASTRO          DATETIME    NOT NULL,
    ULTIMA_MODIFICACAO_POR VARCHAR(60),
    DATA_ULTIMA_ALTERACAO  DATETIME,
    VALOR                  VARCHAR(MAX),
    RESTRICAO              VARCHAR(20) NOT NULL,
    USAR_VALOR_DEFAULT     BIT,
    USAR_RESTRICAO_DEFAULT BIT,
    PREENCHIMENTO_AUTO     BIT,
    AUTO_SAVE              BIT,
    DELETADO               BIT,
    CONSTRAINT PK_FILTRO_USUARIO PRIMARY KEY (ID_FILTRO, ID_USUARIO)
)
GO

ALTER TABLE FILTRO_USUARIO
    ADD CONSTRAINT FK_FILTRO_USUARIO_ON_FILTRO FOREIGN KEY (ID_FILTRO) REFERENCES FILTRO (ID)
GO

ALTER TABLE FILTRO_USUARIO
    ADD CONSTRAINT FK_FILTRO_USUARIO_ON_USUARIO FOREIGN KEY (ID_USUARIO) REFERENCES USUARIO (ID)
GO
