-- ==================================================
--	CRIA A TABELA DE PRODUTO_FAMILIA_CLIENTE
-- ==================================================
CREATE TABLE PRODUTO_FAMILIA_CLIENTE
(
    ID_PRODUTO_FAMILIA     INT      NOT NULL,
    ID_CLIENTE             INT      NOT NULL,
    BLOQUEADO              BIT,
    DELETADO               BIT,
    CADASTRADO_POR         VARCHAR(60),
    DATA_CADASTRO          DATETIME NOT NULL,
    ULTIMA_MODIFICACAO_POR VARCHAR(60),
    DATA_ULTIMA_ALTERACAO  DATETIME,
    CONSTRAINT PK_PRODUTO_FAMILIA_CLIENTE PRIMARY KEY (ID_PRODUTO_FAMILIA, ID_CLIENTE)
)
GO

ALTER TABLE PRODUTO_FAMILIA_CLIENTE
    ADD CONSTRAINT FK_PRODUTO_FAMILIA_CLIENTE_ON_ID_CLIENTE FOREIGN KEY (ID_CLIENTE) REFERENCES CLIENTE (ID)
GO

ALTER TABLE PRODUTO_FAMILIA_CLIENTE
    ADD CONSTRAINT FK_PRODUTO_FAMILIA_CLIENTE_ON_ID_PRODUTO_FAMILIA FOREIGN KEY (ID_PRODUTO_FAMILIA) REFERENCES PRODUTO_FAMILIA (ID)
GO


-- ==================================================
--	CRIA A TABELA DE PRODUTO_FAMILIA_CLIENTE
-- ==================================================
CREATE TABLE PRODUTO_FAMILIA_REPRESENTANTE
(
    ID_PRODUTO_FAMILIA     INT      NOT NULL,
    ID_REPRESENTANTE       INT      NOT NULL,
    BLOQUEADO              BIT,
    DELETADO               BIT,
    CADASTRADO_POR         VARCHAR(60),
    DATA_CADASTRO          DATETIME NOT NULL,
    ULTIMA_MODIFICACAO_POR VARCHAR(60),
    DATA_ULTIMA_ALTERACAO  DATETIME,
    CONSTRAINT PK_PRODUTO_FAMILIA_REPRESENTANTE PRIMARY KEY (ID_PRODUTO_FAMILIA, ID_REPRESENTANTE)
)
GO

ALTER TABLE PRODUTO_FAMILIA_REPRESENTANTE
    ADD CONSTRAINT FK_PRODUTO_FAMILIA_REPRESENTANTE_ON_ID_PRODUTO_FAMILIA FOREIGN KEY (ID_PRODUTO_FAMILIA) REFERENCES PRODUTO_FAMILIA (ID)
GO

ALTER TABLE PRODUTO_FAMILIA_REPRESENTANTE
    ADD CONSTRAINT FK_PRODUTO_FAMILIA_REPRESENTANTE_ON_ID_REPRESENTANTE FOREIGN KEY (ID_REPRESENTANTE) REFERENCES REPRESENTANTE (ID_USUARIO)
GO

ALTER TABLE PRODUTO_FAMILIA
    ALTER COLUMN ID_ZZF010 INT NOT NULL
GO


DROP INDEX [IX_PRODUTO_BLOQUEADO_STATUS] ON [dbo].[PRODUTO]
GO

DROP INDEX [IX_PRODUTO_STATUS_ID_FAMILIA_ID_GRUPO] ON [dbo].[PRODUTO]
GO

ALTER TABLE PRODUTO
    ALTER COLUMN CODIGO_SB1010 VARCHAR(30) NOT NULL
GO

ALTER TABLE PRODUTO
    ALTER COLUMN DESCRICAO VARCHAR(60) NOT NULL
GO

ALTER TABLE PRODUTO
    ALTER COLUMN STATUS VARCHAR(20) NOT NULL
GO

ALTER TABLE REPRESENTANTE
    ALTER COLUMN CODIGO_SA3010 VARCHAR(6) NOT NULL
GO

ALTER TABLE REPRESENTANTE
    ALTER COLUMN ID_SA3010 INT NOT NULL
GO

ALTER TABLE REPRESENTANTE
    ADD CONSTRAINT UC_REPRESENTANTE_CODIGO_SA3010 UNIQUE (CODIGO_SA3010)
GO

ALTER TABLE REPRESENTANTE
    ADD CONSTRAINT UC_REPRESENTANTE_ID_SA3010 UNIQUE (ID_SA3010)
GO



CREATE NONCLUSTERED INDEX [IX_PRODUTO_BLOQUEADO_STATUS] ON [dbo].[PRODUTO]
    (
     [BLOQUEADO] ASC,
     [STATUS] ASC,
     [CODIGO_SB1010] ASC,
     [DESCRICAO] ASC
        )
    INCLUDE ([ID_FAMILIA], [ID_GRUPO]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX_PRODUTO_STATUS_ID_FAMILIA_ID_GRUPO] ON [dbo].[PRODUTO]
    (
     [STATUS] ASC,
     [ID_FAMILIA] ASC,
     [ID_GRUPO] ASC
        ) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT UC_PRODUTO_CODIGO_SB1010 UNIQUE (CODIGO_SB1010)
GO

ALTER TABLE PRE_RESERVA
    ALTER COLUMN ID_PRODUTO INT
GO

ALTER TABLE RESERVA
    ALTER COLUMN ID_PRODUTO INT
GO
