-- ==================================================
--	REMOVE A VINCULAÇÃO NO ARQUIVO
-- ==================================================
ALTER TABLE ARQUIVO
    DROP CONSTRAINT IF EXISTS FK_ARQUIVO_ON_VOUCHER
GO

ALTER TABLE ARQUIVO
    DROP COLUMN IF EXISTS ID_VOUCHER
GO

-- ==================================================
--	CRIA A TABELA DE EVIDENCIA
-- ==================================================
CREATE TABLE EVIDENCIA
(
    ID                     INT IDENTITY (1, 1) NOT NULL,
    CADASTRADO_POR         VARCHAR(60),
    DATA_CADASTRO          DATETIME            NOT NULL,
    ULTIMA_MODIFICACAO_POR VARCHAR(60),
    DATA_ULTIMA_ALTERACAO  DATETIME,
    TIPO                   VARCHAR(20)         NOT NULL,
    NUMERO                 INT                 NOT NULL,
    DESCRICAO              VARCHAR(255)        NOT NULL,
    DELETADO               BIT,
    ID_VOUCHER             INT                 NOT NULL,
    ID_ARQUIVO             BINARY(16),
    CONSTRAINT PK_EVIDENCIA PRIMARY KEY (ID)
)
GO

ALTER TABLE EVIDENCIA
    ADD CONSTRAINT FK_EVIDENCIA_ON_ID_ARQUIVO FOREIGN KEY (ID_ARQUIVO) REFERENCES ARQUIVO (ID)
GO

ALTER TABLE EVIDENCIA
    ADD CONSTRAINT FK_EVIDENCIA_ON_ID_VOUCHER FOREIGN KEY (ID_VOUCHER) REFERENCES VOUCHER (ID)
GO