-- <editor-fold desc="AUDITORIA">
ALTER TABLE CONTATO
    ALTER COLUMN DATA_CADASTRO DATETIME NOT NULL
GO

ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_DATA_CADASTRO DEFAULT GETDATE() FOR DATA_CADASTRO
GO

UPDATE CONTATO SET DATA_ULTIMA_ALTERACAO = '1900-01-01'
FROM CONTATO
WHERE DATA_ULTIMA_ALTERACAO IS NULL

ALTER TABLE CONTATO
    ALTER COLUMN DATA_ULTIMA_ALTERACAO DATETIME NOT NULL
GO

ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_DATA_ULTIMA_ALTERACAO DEFAULT GETDATE() FOR DATA_ULTIMA_ALTERACAO
GO

ALTER TABLE CONTATO
    ALTER COLUMN CADASTRADO_POR VARCHAR(60) NOT NULL
GO

ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_CADASTRADO_POR DEFAULT '' FOR CADASTRADO_POR
GO

ALTER TABLE CONTATO
    ALTER COLUMN ULTIMA_MODIFICACAO_POR VARCHAR(60) NOT NULL
GO

ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_ULTIMA_MODIFICACAO_POR DEFAULT '' FOR ULTIMA_MODIFICACAO_POR
GO
-- </editor-fold>

-- <editor-fold desc="TIPO">
ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_TIPO DEFAULT 'PRINCIPAL' FOR TIPO
GO
-- </editor-fold>

-- <editor-fold desc="ORIGEM">
ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_ORIGEM DEFAULT 'TODOS' FOR ORIGEM
GO
-- </editor-fold>

-- <editor-fold desc="DDI">
UPDATE CONTATO
SET DDI = ''
FROM CONTATO
WHERE DDI IS NULL
GO

ALTER TABLE CONTATO
    ALTER COLUMN DDI VARCHAR(3) NOT NULL
GO

ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_DDI DEFAULT '' FOR DDI
GO
-- </editor-fold>

-- <editor-fold desc="DDD">
UPDATE CONTATO
SET DDD = ''
FROM CONTATO
WHERE DDD IS NULL
GO

ALTER TABLE CONTATO
    ALTER COLUMN DDD VARCHAR(3) NOT NULL
GO

ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_DDD DEFAULT '' FOR DDD
GO
-- </editor-fold>

-- <editor-fold desc="TELEFONE">
UPDATE CONTATO
SET TELEFONE = ''
FROM CONTATO
WHERE TELEFONE IS NULL
GO

ALTER TABLE CONTATO
    ALTER COLUMN TELEFONE VARCHAR(10) NOT NULL
GO

ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_TELEFONE DEFAULT '' FOR TELEFONE
GO
-- </editor-fold>

-- <editor-fold desc="CELULAR">
UPDATE CONTATO
SET CELULAR = ''
FROM CONTATO
WHERE CELULAR IS NULL
GO

ALTER TABLE CONTATO
    ALTER COLUMN CELULAR VARCHAR(10) NOT NULL
GO

ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_CELULAR DEFAULT '' FOR CELULAR
GO
-- </editor-fold>

-- <editor-fold desc="FAX">
ALTER TABLE CONTATO
    DROP COLUMN FAX
GO
-- </editor-fold>

-- <editor-fold desc="EMAIL">
UPDATE CONTATO
SET EMAIL = ''
FROM CONTATO
WHERE EMAIL IS NULL
GO

ALTER TABLE CONTATO
    ALTER COLUMN EMAIL VARCHAR(120) NOT NULL
GO

ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_EMAIL DEFAULT '' FOR EMAIL
GO
-- </editor-fold>

-- <editor-fold desc="NOME">
UPDATE CONTATO
SET NOME = ''
FROM CONTATO
WHERE NOME IS NULL
GO

ALTER TABLE CONTATO
    ALTER COLUMN NOME VARCHAR(60) NOT NULL
GO

ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_NOME DEFAULT '' FOR NOME
GO
-- </editor-fold>

-- <editor-fold desc="DESCRICAO">
UPDATE CONTATO
SET DESCRICAO = ''
FROM CONTATO
WHERE DESCRICAO IS NULL
GO

ALTER TABLE CONTATO
    ALTER COLUMN DESCRICAO VARCHAR(100) NOT NULL
GO

ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_DESCRICAO DEFAULT 0 FOR DESCRICAO
GO
-- </editor-fold>

-- <editor-fold desc="SYNC_EMAIL">
UPDATE CONTATO
SET SYNC_EMAIL = 0
FROM CONTATO
WHERE SYNC_EMAIL IS NULL
GO

ALTER TABLE CONTATO
    ALTER COLUMN SYNC_EMAIL BIT NOT NULL
GO

ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_SYNC_EMAIL DEFAULT 0 FOR SYNC_EMAIL
GO
-- </editor-fold>


-- <editor-fold desc="SYNC_TOTVS">
ALTER TABLE CONTATO
    DROP COLUMN SYNC_TOTVS
GO
-- </editor-fold>

-- <editor-fold desc="BLOQUEADO">
UPDATE CONTATO
SET BLOQUEADO = 0
FROM CONTATO
WHERE BLOQUEADO IS NULL
GO

ALTER TABLE CONTATO
    ALTER COLUMN BLOQUEADO BIT NOT NULL
GO

ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_BLOQUEADO DEFAULT 0 FOR BLOQUEADO
GO
-- </editor-fold>


-- <editor-fold desc="DELETED">
ALTER TABLE CONTATO
    ADD DELETED BIT
GO

UPDATE CONTATO
SET DELETED = COALESCE(DELETAR, 0)
FROM CONTATO
WHERE DELETED IS NULL
GO

ALTER TABLE CONTATO
    ALTER COLUMN DELETED BIT NOT NULL
GO

ALTER TABLE CONTATO
    ADD CONSTRAINT DF_CONTATO_DELETED DEFAULT 0 FOR DELETED
GO

ALTER TABLE CONTATO
    DROP COLUMN DELETAR
GO
-- </editor-fold>


-- <editor-fold desc="INDEX">
CREATE NONCLUSTERED INDEX IX_CONTATO_DELETED ON CONTATO (DELETED)
GO

CREATE NONCLUSTERED INDEX IX_CONTATO_ID_DELETED ON CONTATO (ID, DELETED)
GO

-- </editor-fold>

