CREATE TABLE TAG_CONTEXT
(
    ID                     INT IDENTITY (1, 1) NOT NULL,
    CADASTRADO_POR         VARCHAR(60)         NOT NULL,
    DATA_CADASTRO          DATETIME            NOT NULL,
    ULTIMA_MODIFICACAO_POR VARCHAR(60)         NOT NULL,
    DATA_ULTIMA_ALTERACAO  DATETIME            NOT NULL,
    NAME                   VARCHAR(50)         NOT NULL,
    DELETED                BIT                 NOT NULL,
    CONSTRAINT PK_TAG_CONTEXT PRIMARY KEY (ID)
)
GO

ALTER TABLE TAG_CONTEXT
    ADD CONSTRAINT UC_TAG_CONTEXT_NAME UNIQUE (NAME)
GO

ALTER TABLE TAG_CONTEXT
    ADD CONSTRAINT DF_TAG_CONTEXT_CADASTRADO_POR DEFAULT '' FOR CADASTRADO_POR
GO

ALTER TABLE TAG_CONTEXT
    ADD CONSTRAINT DF_TAG_CONTEXT_DATA_CADASTRO DEFAULT GETDATE() FOR DATA_CADASTRO
GO

ALTER TABLE TAG_CONTEXT
    ADD CONSTRAINT DF_TAG_CONTEXT_ULTIMA_MODIFICACAO_POR DEFAULT '' FOR ULTIMA_MODIFICACAO_POR
GO

ALTER TABLE TAG_CONTEXT
    ADD CONSTRAINT DF_TAG_CONTEXT_DATA_ULTIMA_ALTERACAO DEFAULT GETDATE() FOR DATA_ULTIMA_ALTERACAO
GO

ALTER TABLE TAG_CONTEXT
    ADD CONSTRAINT DF_TAG_CONTEXT_NAME DEFAULT '' FOR NAME
GO

ALTER TABLE TAG_CONTEXT
    ADD CONSTRAINT DF_TAG_CONTEXT_DELETED DEFAULT 0 FOR DELETED
GO

CREATE NONCLUSTERED INDEX IX_TAG_CONTEXT_DELETED
    ON TAG_CONTEXT (DELETED)
GO

CREATE NONCLUSTERED INDEX IX_TAG_CONTEXT_ID_DELETED
    ON TAG_CONTEXT (ID, DELETED)
GO

CREATE NONCLUSTERED INDEX IX_TAG_CONTEXT_NAME_DELETED
    ON TAG_CONTEXT (NAME, DELETED)
GO

