CREATE TABLE TAG_CATEGORY
(
    ID                     INT IDENTITY (1, 1) NOT NULL,
    CADASTRADO_POR         VARCHAR(60)         NOT NULL,
    DATA_CADASTRO          DATETIME            NOT NULL,
    ULTIMA_MODIFICACAO_POR VARCHAR(60)         NOT NULL,
    DATA_ULTIMA_ALTERACAO  DATETIME            NOT NULL,
    NAME                   VARCHAR(100)        NOT NULL,
    SYSTEM_GENERATED       BIT                 NOT NULL,
    DELETED                BIT                 NOT NULL,
    ID_CONTEXT             INT                 NOT NULL,
    CONSTRAINT PK_TAG_CATEGORY PRIMARY KEY (ID)
)
GO


ALTER TABLE TAG_CATEGORY
    ADD CONSTRAINT FK_TAG_CATEGORY_ON_TAG_CONTEXT FOREIGN KEY (ID_CONTEXT) REFERENCES TAG_CONTEXT (ID)
GO

ALTER TABLE TAG_CATEGORY
    ADD CONSTRAINT DF_TAG_CATEGORY_CADASTRADO_POR DEFAULT '' FOR CADASTRADO_POR
GO

ALTER TABLE TAG_CATEGORY
    ADD CONSTRAINT DF_TAG_CATEGORY_DATA_CADASTRO DEFAULT GETDATE() FOR DATA_CADASTRO
GO

ALTER TABLE TAG_CATEGORY
    ADD CONSTRAINT DF_TAG_CATEGORY_ULTIMA_MODIFICACAO_POR DEFAULT '' FOR ULTIMA_MODIFICACAO_POR
GO

ALTER TABLE TAG_CATEGORY
    ADD CONSTRAINT DF_TAG_CATEGORY_DATA_ULTIMA_ALTERACAO DEFAULT GETDATE() FOR DATA_ULTIMA_ALTERACAO
GO

ALTER TABLE TAG_CATEGORY
    ADD CONSTRAINT DF_TAG_CATEGORY_NAME DEFAULT '' FOR NAME
GO

ALTER TABLE TAG_CATEGORY
    ADD CONSTRAINT DF_TAG_CATEGORY_SYSTEM_GENERATED DEFAULT 0 FOR SYSTEM_GENERATED
GO

ALTER TABLE TAG_CATEGORY
    ADD CONSTRAINT DF_TAG_CATEGORY_DELETED DEFAULT 0 FOR DELETED
GO


CREATE NONCLUSTERED INDEX IX_TAG_CATEGORY_DELETED
    ON TAG_CATEGORY (DELETED)
GO

CREATE NONCLUSTERED INDEX IX_TAG_CATEGORY_ID_DELETED
    ON TAG_CATEGORY (ID, DELETED)
GO

CREATE NONCLUSTERED INDEX IX_TAG_CATEGORY_NAME_DELETED
    ON TAG_CATEGORY (NAME, DELETED)
GO

