CREATE TABLE PROPOSTA
(
    ID                         INT IDENTITY (1, 1) NOT NULL,
    CADASTRADO_POR             VARCHAR(60)         NOT NULL,
    DATA_CADASTRO              DATETIME            NOT NULL,
    ULTIMA_MODIFICACAO_POR     VARCHAR(60)         NOT NULL,
    DATA_ULTIMA_ALTERACAO      DATETIME            NOT NULL,
    STATUS                     VARCHAR(14)         NOT NULL,
    ALIQUOTA_ST                DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_IPI               DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_ICC               DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_DIF               DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_ICMS              DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_PIS               DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_COFINS            DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_ZFC               DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_ZFP               DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_COMPLEMENTAR_FECP DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_FECP_DO_ST        DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_PROPRIO_FECP      DECIMAL(18, 2)      NOT NULL,
    VALOR_ST                   DECIMAL(18, 2)      NOT NULL,
    VALOR_IPI                  DECIMAL(18, 2)      NOT NULL,
    VALOR_ICC                  DECIMAL(18, 2)      NOT NULL,
    VALOR_DIF                  DECIMAL(18, 2)      NOT NULL,
    VALOR_ICMS                 DECIMAL(18, 2)      NOT NULL,
    VALOR_PIS                  DECIMAL(18, 2)      NOT NULL,
    VALOR_COFINS               DECIMAL(18, 2)      NOT NULL,
    VALOR_ZFC                  DECIMAL(18, 2)      NOT NULL,
    VALOR_ZFP                  DECIMAL(18, 2)      NOT NULL,
    VALOR_COMPLEMENTAR_FECP    DECIMAL(18, 2)      NOT NULL,
    VALOR_FECP_DO_ST           DECIMAL(18, 2)      NOT NULL,
    VALOR_PROPRIO_FECP         DECIMAL(18, 2)      NOT NULL,
    VALOR_TOTAL_SUFRAMA        DECIMAL(18, 2)      NOT NULL,
    VALOR_TOTAL_IMPOSTO        DECIMAL(18, 2)      NOT NULL,
    VALOR_TOTAL                DECIMAL(18, 2)      NOT NULL,
    VALOR_TOTAL_FATURA         DECIMAL(18, 2)      NOT NULL,
    MARGEM                     DECIMAL(18, 2)      NOT NULL,
    MARGEM_GROSS               DECIMAL(18, 2)      NOT NULL,
    COMISSAO_REPRESENTANTE     DECIMAL(18, 2)      NOT NULL,
    ANOTACOES                  VARCHAR(8000)       NOT NULL,
    EXCEL_EXPORTS              INT                 NOT NULL,
    EXCEL_EXPORT_AT            DATETIME            NOT NULL,
    EXCEL_IMPORTS              INT                 NOT NULL,
    EXCEL_IMPORT_AT            DATETIME            NOT NULL,
    DELETED                    BIT                 NOT NULL,
    ID_REPRESENTANTE           INT,
    ID_LEAD                    INT,
    ID_CONDICAO_PAGAMENTO      INT,
    ID_REGIONAL                INT,
    ID_TRANSPORTADORA          INT,
    CONSTRAINT PK_PROPOSTA PRIMARY KEY (ID)
)
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT FK_PROPOSTA_ON_REPRESENTANTE FOREIGN KEY (ID_REPRESENTANTE) REFERENCES REPRESENTANTE (ID_USUARIO)
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT FK_PROPOSTA_ON_LEAD FOREIGN KEY (ID_LEAD) REFERENCES LEAD (ID)
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT FK_PROPOSTA_ON_CONDICAO_PAGAMENTO FOREIGN KEY (ID_CONDICAO_PAGAMENTO) REFERENCES CONDICAO_PAGAMENTO (ID)
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT FK_PROPOSTA_ON_REGIONAL FOREIGN KEY (ID_REGIONAL) REFERENCES REGIONAL (ID)
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT FK_PROPOSTA_ON_TRANSPORTADORA FOREIGN KEY (ID_TRANSPORTADORA) REFERENCES TRANSPORTADORA (ID)
GO




ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_CADASTRADO_POR DEFAULT '' FOR CADASTRADO_POR
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_DATA_CADASTRO DEFAULT GETDATE() FOR DATA_CADASTRO
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_ULTIMA_MODIFICACAO_POR DEFAULT '' FOR ULTIMA_MODIFICACAO_POR
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_DATA_ULTIMA_ALTERACAO DEFAULT GETDATE() FOR DATA_ULTIMA_ALTERACAO
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_STATUS DEFAULT 'RASCUNHO' FOR [STATUS]
GO



ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_ALIQUOTA_ST DEFAULT 0.00 FOR ALIQUOTA_ST
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_ALIQUOTA_IPI DEFAULT 0.00 FOR ALIQUOTA_IPI
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_ALIQUOTA_ICC DEFAULT 0.00 FOR ALIQUOTA_ICC
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_ALIQUOTA_DIF DEFAULT 0.00 FOR ALIQUOTA_DIF
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_ALIQUOTA_ICMS DEFAULT 0.00 FOR ALIQUOTA_ICMS
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_ALIQUOTA_PIS DEFAULT 0.00 FOR ALIQUOTA_PIS
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_ALIQUOTA_COFINS DEFAULT 0.00 FOR ALIQUOTA_COFINS
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_ALIQUOTA_ZFC DEFAULT 0.00 FOR ALIQUOTA_ZFC
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_ALIQUOTA_ZFP DEFAULT 0.00 FOR ALIQUOTA_ZFP
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_ALIQUOTA_COMPLEMENTAR_FECP DEFAULT 0.00 FOR ALIQUOTA_COMPLEMENTAR_FECP
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_ALIQUOTA_FECP_DO_ST DEFAULT 0.00 FOR ALIQUOTA_FECP_DO_ST
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_ALIQUOTA_PROPRIO_FECP DEFAULT 0.00 FOR ALIQUOTA_PROPRIO_FECP
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_ST DEFAULT 0.00 FOR VALOR_ST
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_IPI DEFAULT 0.00 FOR VALOR_IPI
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_ICC DEFAULT 0.00 FOR VALOR_ICC
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_DIF DEFAULT 0.00 FOR VALOR_DIF
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_ICMS DEFAULT 0.00 FOR VALOR_ICMS
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_PIS DEFAULT 0.00 FOR VALOR_PIS
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_COFINS DEFAULT 0.00 FOR VALOR_COFINS
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_ZFC DEFAULT 0.00 FOR VALOR_ZFC
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_ZFP DEFAULT 0.00 FOR VALOR_ZFP
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_COMPLEMENTAR_FECP DEFAULT 0.00 FOR VALOR_COMPLEMENTAR_FECP
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_FECP_DO_ST DEFAULT 0.00 FOR VALOR_FECP_DO_ST
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_PROPRIO_FECP DEFAULT 0.00 FOR VALOR_PROPRIO_FECP
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_TOTAL_SUFRAMA DEFAULT 0.00 FOR VALOR_TOTAL_SUFRAMA
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_TOTAL_IMPOSTO DEFAULT 0.00 FOR VALOR_TOTAL_IMPOSTO
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_TOTAL DEFAULT 0.00 FOR VALOR_TOTAL
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_VALOR_TOTAL_FATURA DEFAULT 0.00 FOR VALOR_TOTAL_FATURA
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_MARGEM DEFAULT 0.00 FOR MARGEM
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_MARGEM_GROSS DEFAULT 0.00 FOR MARGEM_GROSS
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_COMISSAO_REPRESENTANTE DEFAULT 0.00 FOR COMISSAO_REPRESENTANTE
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_ANOTACOES DEFAULT '' FOR ANOTACOES
GO




ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_EXCEL_EXPORTS DEFAULT 0 FOR EXCEL_EXPORTS
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_EXCEL_EXPORT_AT DEFAULT '1900-01-01' FOR EXCEL_EXPORT_AT
GO


ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_EXCEL_IMPORTS DEFAULT 0 FOR EXCEL_IMPORTS
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_EXCEL_IMPORT_AT DEFAULT '1900-01-01' FOR EXCEL_IMPORT_AT
GO

ALTER TABLE PROPOSTA
    ADD CONSTRAINT DF_PROPOSTA_DELETED DEFAULT 0 FOR DELETED
GO

ALTER TABLE PROPOSTA
    ADD
        CONSTRAINT CK_PROPOSTA_STATUS
            CHECK ([STATUS] IN
                   ('RASCUNHO', 'ENVIADO', 'EM_NEGOCIACAO', 'APROVADA', 'REPROVADA', 'EXPIRADA', 'CANCELADA',
                    'ARQUIVADA'))
GO

CREATE NONCLUSTERED INDEX IX_PROPOSTA_DELETED
ON PROPOSTA (DELETED)
GO

CREATE NONCLUSTERED INDEX IX_PROPOSTA_ID_DELETED
    ON PROPOSTA (ID, DELETED)
GO

