CREATE TABLE PROPOSTA_ITEM
(
    ID                                      INT IDENTITY (1, 1) NOT NULL,
    CADASTRADO_POR                          VARCHAR(60)         NOT NULL,
    DATA_CADASTRO                           DATETIME            NOT NULL,
    ULTIMA_MODIFICACAO_POR                  VARCHAR(60)         NOT NULL,
    DATA_ULTIMA_ALTERACAO                   DATETIME            NOT NULL,
    SEQUENCIAL                              INT                 NOT NULL,
    ITEM                                    INT                 NOT NULL,
    QUANTIDADE                              INT                 NOT NULL,
    PRECO_LISTA                             DECIMAL(18, 2)      NOT NULL,
    PRECO_VENDA                             DECIMAL(18, 2)      NOT NULL,
    TIPO_DESCONTO                           VARCHAR(10)         NOT NULL,
    PROMOCIONAL                             BIT                 NOT NULL,
    ACRESCIMO_DESCONTO                      DECIMAL(18, 2)      NOT NULL,
    ACRESCIMO_DESCONTO_PORCENTO             DECIMAL(18, 4)      NOT NULL,
    DESCONTO_PAGAMENTO_ANTECIPADO           DECIMAL(18, 2)      NOT NULL,
    DESCONTO_PAGAMENTO_ANTECIPADO_PORCENTO  DECIMAL(18, 4)      NOT NULL,
    DESCONTO_MAXIMO                         DECIMAL(18, 2)      NOT NULL,
    DESCONTO_MAXIMO_PORCENTO                DECIMAL(18, 4)      NOT NULL,
    ALIQUOTA_ST                             DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_IPI                            DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_ICC                            DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_DIF                            DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_ICMS                           DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_PIS                            DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_COFINS                         DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_ZFC                            DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_ZFP                            DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_COMPLEMENTAR_FECP              DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_FECP_DO_ST                     DECIMAL(18, 2)      NOT NULL,
    ALIQUOTA_PROPRIO_FECP                   DECIMAL(18, 2)      NOT NULL,
    VALOR_ST                                DECIMAL(18, 2)      NOT NULL,
    VALOR_IPI                               DECIMAL(18, 2)      NOT NULL,
    VALOR_ICC                               DECIMAL(18, 2)      NOT NULL,
    VALOR_DIF                               DECIMAL(18, 2)      NOT NULL,
    VALOR_ICMS                              DECIMAL(18, 2)      NOT NULL,
    VALOR_PIS                               DECIMAL(18, 2)      NOT NULL,
    VALOR_COFINS                            DECIMAL(18, 2)      NOT NULL,
    VALOR_ZFC                               DECIMAL(18, 2)      NOT NULL,
    VALOR_ZFP                               DECIMAL(18, 2)      NOT NULL,
    VALOR_COMPLEMENTAR_FECP                 DECIMAL(18, 2)      NOT NULL,
    VALOR_FECP_DO_ST                        DECIMAL(18, 2)      NOT NULL,
    VALOR_PROPRIO_FECP                      DECIMAL(18, 2)      NOT NULL,
    VALOR_TOTAL_SUFRAMA                     DECIMAL(18, 2)      NOT NULL,
    VALOR_TOTAL_IMPOSTO                     DECIMAL(18, 2)      NOT NULL,
    COMISSAO                                DECIMAL(18, 2)      NOT NULL,
    COMISSAO_PORCENTO                       DECIMAL(18, 2)      NOT NULL,
    VALOR_TOTAL                             DECIMAL(18, 2)      NOT NULL,
    VALOR_TOTAL_FATURA                      DECIMAL(18, 2)      NOT NULL,
    MARGEM                                  DECIMAL(18, 2)      NOT NULL,
    MARGEM_GROSS                            DECIMAL(18, 2)      NOT NULL,
    DELETED                                 BIT                 NOT NULL,
    ID_PROPOSTA                             INT                 NOT NULL,
    ID_PRODUTO                              INT                 NOT NULL,
    CONSTRAINT PK_PROPOSTA_ITEM PRIMARY KEY (ID)
)
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT FK_PROPOSTA_ITEM_ON_PROPOSTA FOREIGN KEY (ID_PROPOSTA) REFERENCES PROPOSTA (ID)
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT FK_PROPOSTA_ITEM_ON_PRODUTO FOREIGN KEY (ID_PRODUTO) REFERENCES PRODUTO (ID)
GO

CREATE TABLE PROSPECT_ITEM_LIG_TAG
(
    ID_PROPOSTA_ITEM INT NOT NULL,
    ID_TAG           INT NOT NULL,
    CONSTRAINT PK_PROSPECT_ITEM_LIG_TAG PRIMARY KEY (ID_PROPOSTA_ITEM, ID_TAG)
)
GO

ALTER TABLE PROSPECT_ITEM_LIG_TAG
    ADD CONSTRAINT FK_PROITELIGTAG_ON_PROPOSTA_ITEM FOREIGN KEY (ID_PROPOSTA_ITEM) REFERENCES PROPOSTA_ITEM (ID)
GO

ALTER TABLE PROSPECT_ITEM_LIG_TAG
    ADD CONSTRAINT FK_PROITELIGTAG_ON_TAG FOREIGN KEY (ID_TAG) REFERENCES TAG (ID)
GO


ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_CADASTRADO_POR DEFAULT '' FOR CADASTRADO_POR
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_DATA_CADASTRO DEFAULT GETDATE() FOR DATA_CADASTRO
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_ULTIMA_MODIFICACAO_POR DEFAULT '' FOR ULTIMA_MODIFICACAO_POR
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_DATA_ULTIMA_ALTERACAO DEFAULT GETDATE() FOR DATA_ULTIMA_ALTERACAO
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_SEQUENCIAL DEFAULT 0 FOR SEQUENCIAL
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM DEFAULT 0 FOR ITEM
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_QUANTIDADE DEFAULT 0 FOR QUANTIDADE
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_PRECO_LISTA DEFAULT 0.00 FOR PRECO_LISTA
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_PRECO_VENDA DEFAULT 0.00 FOR PRECO_VENDA
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_TIPO_DESCONTO DEFAULT 'DECRESCIMO' FOR TIPO_DESCONTO
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_PROMOCIONAL DEFAULT 0 FOR PROMOCIONAL
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_ACRESCIMO_DESCONTO DEFAULT 0.00 FOR ACRESCIMO_DESCONTO
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_ACRESCIMO_DESCONTO_PORCENTO DEFAULT 0.0000 FOR ACRESCIMO_DESCONTO_PORCENTO
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_DESCONTO_PAGAMENTO_ANTECIPADO DEFAULT 0.00 FOR DESCONTO_PAGAMENTO_ANTECIPADO
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_DESCONTO_PAGAMENTO_ANTECIPADO_PORCENTO DEFAULT 0.00 FOR DESCONTO_PAGAMENTO_ANTECIPADO_PORCENTO
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_DESCONTO_MAXIMO DEFAULT 0.00 FOR DESCONTO_MAXIMO
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_DESCONTO_MAXIMO_PORCENTO DEFAULT 0.00 FOR DESCONTO_MAXIMO_PORCENTO
GO


ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_ALIQUOTA_ST DEFAULT 0.00 FOR ALIQUOTA_ST
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_ALIQUOTA_IPI DEFAULT 0.00 FOR ALIQUOTA_IPI
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_ALIQUOTA_ICC DEFAULT 0.00 FOR ALIQUOTA_ICC
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_ALIQUOTA_DIF DEFAULT 0.00 FOR ALIQUOTA_DIF
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_ALIQUOTA_ICMS DEFAULT 0.00 FOR ALIQUOTA_ICMS
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_ALIQUOTA_PIS DEFAULT 0.00 FOR ALIQUOTA_PIS
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_ALIQUOTA_COFINS DEFAULT 0.00 FOR ALIQUOTA_COFINS
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_ALIQUOTA_ZFC DEFAULT 0.00 FOR ALIQUOTA_ZFC
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_ALIQUOTA_ZFP DEFAULT 0.00 FOR ALIQUOTA_ZFP
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_ALIQUOTA_COMPLEMENTAR_FECP DEFAULT 0.00 FOR ALIQUOTA_COMPLEMENTAR_FECP
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_ALIQUOTA_FECP_DO_ST DEFAULT 0.00 FOR ALIQUOTA_FECP_DO_ST
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_ALIQUOTA_PROPRIO_FECP DEFAULT 0.00 FOR ALIQUOTA_PROPRIO_FECP
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_ST DEFAULT 0.00 FOR VALOR_ST
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_IPI DEFAULT 0.00 FOR VALOR_IPI
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_ICC DEFAULT 0.00 FOR VALOR_ICC
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_DIF DEFAULT 0.00 FOR VALOR_DIF
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_ICMS DEFAULT 0.00 FOR VALOR_ICMS
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_PIS DEFAULT 0.00 FOR VALOR_PIS
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_COFINS DEFAULT 0.00 FOR VALOR_COFINS
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_ZFC DEFAULT 0.00 FOR VALOR_ZFC
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_ZFP DEFAULT 0.00 FOR VALOR_ZFP
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_COMPLEMENTAR_FECP DEFAULT 0.00 FOR VALOR_COMPLEMENTAR_FECP
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_FECP_DO_ST DEFAULT 0.00 FOR VALOR_FECP_DO_ST
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_PROPRIO_FECP DEFAULT 0.00 FOR VALOR_PROPRIO_FECP
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_TOTAL_SUFRAMA DEFAULT 0.00 FOR VALOR_TOTAL_SUFRAMA
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_TOTAL_IMPOSTO DEFAULT 0.00 FOR VALOR_TOTAL_IMPOSTO
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_COMISSAO DEFAULT 0.00 FOR COMISSAO
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_COMISSAO_PORCENTO DEFAULT 0.00 FOR COMISSAO_PORCENTO
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_TOTAL DEFAULT 0.00 FOR VALOR_TOTAL
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_VALOR_TOTAL_FATURA DEFAULT 0.00 FOR VALOR_TOTAL_FATURA
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_MARGEM DEFAULT 0.00 FOR MARGEM
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_MARGEM_GROSS DEFAULT 0.00 FOR MARGEM_GROSS
GO

ALTER TABLE PROPOSTA_ITEM
    ADD CONSTRAINT DF_PROPOSTA_ITEM_DELETED DEFAULT 0 FOR DELETED
GO

CREATE NONCLUSTERED INDEX IX_PROPOSTA_ITEM_DELETED
    ON PROPOSTA_ITEM (DELETED)
GO

CREATE NONCLUSTERED INDEX IX_PROPOSTA_ITEM_ID_DELETED
    ON PROPOSTA_ITEM (ID, DELETED)
GO

