CREATE TABLE PRODUTO_LIG_TAG
(
    ID_PRODUTO INT NOT NULL,
    ID_TAG     INT NOT NULL,
    CONSTRAINT PK_PRODUTO_LIG_TAG PRIMARY KEY (ID_PRODUTO, ID_TAG)
)
GO

ALTER TABLE PRODUTO_LIG_TAG
    ADD CONSTRAINT FK_PRODUTO_LIG_TAG_ON_PRODUTO FOREIGN KEY (ID_PRODUTO) REFERENCES PRODUTO (ID)
GO

ALTER TABLE PRODUTO_LIG_TAG
    ADD CONSTRAINT FK_PRODUTO_LIG_TAG_ON_TAG FOREIGN KEY (ID_TAG) REFERENCES TAG (ID)
GO

ALTER TABLE PRODUTO
    ALTER COLUMN CADASTRADO_POR VARCHAR(60) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_CADASTRADO_POR DEFAULT '' FOR CADASTRADO_POR
GO

ALTER TABLE PRODUTO
    ALTER COLUMN DATA_CADASTRO DATETIME NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_DATA_CADASTRO DEFAULT GETDATE() FOR DATA_CADASTRO
GO

ALTER TABLE PRODUTO
    ALTER COLUMN ULTIMA_MODIFICACAO_POR VARCHAR(60) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_ULTIMA_MODIFICACAO_POR DEFAULT '' FOR ULTIMA_MODIFICACAO_POR
GO

ALTER TABLE PRODUTO
    ALTER COLUMN DATA_ULTIMA_ALTERACAO DATETIME NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_DATA_ULTIMA_ALTERACAO DEFAULT GETDATE() FOR DATA_ULTIMA_ALTERACAO
GO



UPDATE PRODUTO
SET STATUS_SOLICITACAO = 'EMPTY'
FROM PRODUTO
WHERE STATUS_SOLICITACAO IS NULL
GO

ALTER TABLE PRODUTO
    ALTER COLUMN STATUS_SOLICITACAO VARCHAR(8) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_STATUS_SOLICITACAO DEFAULT 'EMPTY' FOR STATUS_SOLICITACAO
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT CK_PRODUTO_STATUS_SOLICITACAO
        CHECK ([STATUS_SOLICITACAO] IN
               ('EMPTY', 'ANALISE', 'APROVADA', 'RECUSADA'))
GO


ALTER TABLE PRODUTO
    DROP CONSTRAINT [UC_PRODUTO_CODIGO_SB1010]
GO

DROP INDEX [IX_PRODUTO_BLOQUEADO_STATUS] ON [dbo].[PRODUTO]
GO

DROP INDEX [IX_PRODUTO_ID_CODIGO_SB1010] ON [dbo].[PRODUTO]
GO

DROP INDEX [IX_PRODUTO_STATUS_ID_FAMILIA_ID_GRUPO] ON [dbo].[PRODUTO]
GO


ALTER TABLE PRODUTO
    ALTER COLUMN CODIGO_SB1010 VARCHAR(30) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_CODIGO_SB1010 DEFAULT '' FOR CODIGO_SB1010
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT UC_PRODUTO_CODIGO_SB1010 UNIQUE (CODIGO_SB1010)
GO

UPDATE PRODUTO
SET CODIGO_CONSOLIDADOR_SB1010 = ''
FROM PRODUTO
WHERE CODIGO_CONSOLIDADOR_SB1010 IS NULL
GO

ALTER TABLE PRODUTO
    ALTER COLUMN CODIGO_CONSOLIDADOR_SB1010 VARCHAR(30) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_CODIGO_CONSOLIDADOR_SB1010 DEFAULT '' FOR CODIGO_CONSOLIDADOR_SB1010
GO


UPDATE PRODUTO
SET CODIGO_BARRAS = ''
FROM PRODUTO
WHERE CODIGO_BARRAS IS NULL
GO

ALTER TABLE PRODUTO
    ALTER COLUMN CODIGO_BARRAS VARCHAR(30) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_CODIGO_BARRAS DEFAULT '' FOR CODIGO_BARRAS
GO


UPDATE PRODUTO
SET CODIGO_NCM = ''
FROM PRODUTO
WHERE CODIGO_NCM IS NULL
GO

ALTER TABLE PRODUTO
    ALTER COLUMN CODIGO_NCM VARCHAR(10) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_CODIGO_NCM DEFAULT '' FOR CODIGO_NCM
GO


ALTER TABLE PRODUTO
    DROP COLUMN CODIGO_EAN
GO


UPDATE PRODUTO
SET DESCRICAO_NCM = ''
FROM PRODUTO
WHERE DESCRICAO_NCM IS NULL
GO

ALTER TABLE PRODUTO
    ALTER COLUMN DESCRICAO_NCM VARCHAR(40) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_DESCRICAO_NCM DEFAULT '' FOR DESCRICAO_NCM
GO


ALTER TABLE PRODUTO
    ALTER COLUMN DESCRICAO VARCHAR(60) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_DESCRICAO DEFAULT '' FOR DESCRICAO
GO


UPDATE PRODUTO
SET DESCRICAO_ENG = ''
FROM PRODUTO
WHERE COALESCE(DESCRICAO_ENG, '') = ''
GO


ALTER TABLE PRODUTO
    ALTER COLUMN DESCRICAO_ENG VARCHAR(255) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_DESCRICAO_ENG DEFAULT '' FOR DESCRICAO_ENG
GO


UPDATE PRODUTO
SET CURVA = ''
FROM PRODUTO
WHERE CURVA IS NULL
GO

ALTER TABLE PRODUTO
    ALTER COLUMN CURVA CHAR(1) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_CURVA DEFAULT '' FOR CURVA
GO



ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_GERA_PCP DEFAULT 0 FOR GERA_PCP
GO


UPDATE PRODUTO
SET STATUS = 'EMPTY'
FROM PRODUTO
WHERE COALESCE(STATUS, '') = ''
   OR STATUS = 'NULL'
GO

ALTER TABLE PRODUTO
    ALTER COLUMN STATUS VARCHAR(18) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_STATUS DEFAULT 'EMPTY' FOR STATUS
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT CK_PRODUTO_STATUS
        CHECK ([STATUS] IN
               ('EMPTY', 'EM_LINHA', 'OUTLET', 'ANALISE_QUALIDADE', 'INVENTARIO',
                'ANALISE_FISCAL', 'NOVO', 'CONSOLIDADOR', 'LANCAMENTO'))
GO


ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_PRECO_VENDA DEFAULT 0.00 FOR PRECO_VENDA
GO


UPDATE PRODUTO
SET PROMOCIONAL = 0
FROM PRODUTO
WHERE PROMOCIONAL IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN PROMOCIONAL BIT NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_PROMOCIONAL DEFAULT 0 FOR PROMOCIONAL
GO


UPDATE PRODUTO
SET PRECO_PROMOCIONAL = 0.00
FROM PRODUTO
WHERE PRECO_PROMOCIONAL IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN PRECO_PROMOCIONAL DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_PRECO_PROMOCIONAL DEFAULT 0.00 FOR PRECO_PROMOCIONAL
GO


UPDATE PRODUTO
SET ALIQUOTA_IPI = 0.00
FROM PRODUTO
WHERE ALIQUOTA_IPI IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN ALIQUOTA_IPI DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_ALIQUOTA_IPI DEFAULT 0.00 FOR ALIQUOTA_IPI
GO


UPDATE PRODUTO
SET RESERVA = 0
FROM PRODUTO
WHERE RESERVA IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN RESERVA FLOAT NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_RESERVA DEFAULT 0 FOR RESERVA
GO


UPDATE PRODUTO
SET EM_FILA = 0
FROM PRODUTO
WHERE EM_FILA IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN EM_FILA FLOAT NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_EM_FILA DEFAULT 0 FOR EM_FILA
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_BLOQUEADO DEFAULT 0 FOR BLOQUEADO
GO


ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_ID_SB1010 DEFAULT 0 FOR ID_SB1010
GO



UPDATE PRODUTO
SET MULTIPLO_WEB = 0
FROM PRODUTO
WHERE MULTIPLO_WEB IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN MULTIPLO_WEB INT NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_MULTIPLO_WEB DEFAULT 0 FOR MULTIPLO_WEB
GO


UPDATE PRODUTO
SET COMP_UN = 0.00
FROM PRODUTO
WHERE COMP_UN IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN COMP_UN DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_COMP_UN DEFAULT 0.00 FOR COMP_UN
GO


UPDATE PRODUTO
SET LARG_UN = 0.00
FROM PRODUTO
WHERE LARG_UN IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN LARG_UN DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_LARG_UN DEFAULT 0.00 FOR LARG_UN
GO


UPDATE PRODUTO
SET ALTU_UN = 0.00
FROM PRODUTO
WHERE ALTU_UN IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN ALTU_UN DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_ALTU_UN DEFAULT 0.00 FOR ALTU_UN
GO

UPDATE PRODUTO
SET CBM_UN = 0.00
FROM PRODUTO
WHERE CBM_UN IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN CBM_UN DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_CBM_UN DEFAULT 0.00 FOR CBM_UN
GO


UPDATE PRODUTO
SET PESO_BRUTO_CX = 0.00
FROM PRODUTO
WHERE PESO_BRUTO_CX IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN PESO_BRUTO_CX DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_PESO_BRUTO_CX DEFAULT 0.00 FOR PESO_BRUTO_CX
GO


UPDATE PRODUTO
SET PESO_LIQ_CX = 0.00
FROM PRODUTO
WHERE PESO_LIQ_CX IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN PESO_LIQ_CX DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_PESO_LIQ_CX DEFAULT 0.00 FOR PESO_LIQ_CX
GO


UPDATE PRODUTO
SET COMP_CX_INT = 0.00
FROM PRODUTO
WHERE COMP_CX_INT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN COMP_CX_INT DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_COMP_CX_INT DEFAULT 0.00 FOR COMP_CX_INT
GO


UPDATE PRODUTO
SET LAR_CX_INT = 0.00
FROM PRODUTO
WHERE LAR_CX_INT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN LAR_CX_INT DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_LAR_CX_INT DEFAULT 0.00 FOR LAR_CX_INT
GO


UPDATE PRODUTO
SET ALT_CX_INT = 0.00
FROM PRODUTO
WHERE ALT_CX_INT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN ALT_CX_INT DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_ALT_CX_INT DEFAULT 0.00 FOR ALT_CX_INT
GO



UPDATE PRODUTO
SET QTD_ITENS_CX_INT = 0
FROM PRODUTO
WHERE QTD_ITENS_CX_INT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN QTD_ITENS_CX_INT INT NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_QTD_ITENS_CX_INT DEFAULT 0 FOR QTD_ITENS_CX_INT
GO

UPDATE PRODUTO
SET COD_BARRAS_CX_INT = ''
FROM PRODUTO
WHERE COD_BARRAS_CX_INT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN COD_BARRAS_CX_INT VARCHAR(250) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_COD_BARRAS_CX_INT DEFAULT '' FOR COD_BARRAS_CX_INT
GO


UPDATE PRODUTO
SET CUBAGEM_CX_INT = 0.00
FROM PRODUTO
WHERE CUBAGEM_CX_INT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN CUBAGEM_CX_INT DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_CUBAGEM_CX_INT DEFAULT 0.00 FOR CUBAGEM_CX_INT
GO


UPDATE PRODUTO
SET PESO_BRUTO_CX_INT = 0.00
FROM PRODUTO
WHERE PESO_BRUTO_CX_INT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN PESO_BRUTO_CX_INT DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_PESO_BRUTO_CX_INT DEFAULT 0.00 FOR PESO_BRUTO_CX_INT
GO

UPDATE PRODUTO
SET PESO_LIQ_CX_INT = 0.00
FROM PRODUTO
WHERE PESO_LIQ_CX_INT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN PESO_LIQ_CX_INT DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_PESO_LIQ_CX_INT DEFAULT 0.00 FOR PESO_LIQ_CX_INT
GO



UPDATE PRODUTO
SET COMP_CX_EXT = 0.00
FROM PRODUTO
WHERE COMP_CX_EXT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN COMP_CX_EXT DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_COMP_CX_EXT DEFAULT 0.00 FOR COMP_CX_EXT
GO


UPDATE PRODUTO
SET LAR_CX_EXT = 0.00
FROM PRODUTO
WHERE LAR_CX_EXT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN LAR_CX_EXT DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_LAR_CX_EXT DEFAULT 0.00 FOR LAR_CX_EXT
GO


UPDATE PRODUTO
SET ALT_CX_EXT = 0.00
FROM PRODUTO
WHERE ALT_CX_EXT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN ALT_CX_EXT DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_ALT_CX_EXT DEFAULT 0.00 FOR ALT_CX_EXT
GO


UPDATE PRODUTO
SET QTD_ITENS_CX_EXT = 0
FROM PRODUTO
WHERE QTD_ITENS_CX_EXT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN QTD_ITENS_CX_EXT INT NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_QTD_ITENS_CX_EXT DEFAULT 0 FOR QTD_ITENS_CX_EXT
GO


UPDATE PRODUTO
SET COD_BARRAS_CX_EXT = ''
FROM PRODUTO
WHERE COD_BARRAS_CX_EXT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN COD_BARRAS_CX_EXT VARCHAR(250) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_COD_BARRAS_CX_EXT DEFAULT '' FOR COD_BARRAS_CX_EXT
GO


UPDATE PRODUTO
SET CUBAGEM_CX_EXT = 0.00
FROM PRODUTO
WHERE CUBAGEM_CX_EXT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN CUBAGEM_CX_EXT DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_CUBAGEM_CX_EXT DEFAULT 0.00 FOR CUBAGEM_CX_EXT
GO


UPDATE PRODUTO
SET PESO_BRUTO_CX_EXT = 0.00
FROM PRODUTO
WHERE PESO_BRUTO_CX_EXT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN PESO_BRUTO_CX_EXT DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_PESO_BRUTO_CX_EXT DEFAULT 0.00 FOR PESO_BRUTO_CX_EXT
GO


UPDATE PRODUTO
SET PESO_LIQ_CX_EXT = 0.00
FROM PRODUTO
WHERE PESO_LIQ_CX_EXT IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN PESO_LIQ_CX_EXT DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_PESO_LIQ_CX_EXT DEFAULT 0.00 FOR PESO_LIQ_CX_EXT
GO


UPDATE PRODUTO
SET CUSTO_MEDIO = 0.0000
FROM PRODUTO
WHERE CUSTO_MEDIO IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN CUSTO_MEDIO DECIMAL(18, 4) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_CUSTO_MEDIO DEFAULT 0.0000 FOR CUSTO_MEDIO
GO


UPDATE PRODUTO
SET CUBAGEM_ALTURA = 0.0000000
FROM PRODUTO
WHERE CUBAGEM_ALTURA IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN CUBAGEM_ALTURA DECIMAL(18, 7) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_CUBAGEM_ALTURA DEFAULT 0.0000000 FOR CUBAGEM_ALTURA
GO


UPDATE PRODUTO
SET CUBAGEM_LARGURA = 0.0000000
FROM PRODUTO
WHERE CUBAGEM_LARGURA IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN CUBAGEM_LARGURA DECIMAL(18, 7) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_CUBAGEM_LARGURA DEFAULT 0.0000000 FOR CUBAGEM_LARGURA
GO


UPDATE PRODUTO
SET CUBAGEM_COMPRIMENTO = 0.0000000
FROM PRODUTO
WHERE CUBAGEM_COMPRIMENTO IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN CUBAGEM_COMPRIMENTO DECIMAL(18, 7) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_CUBAGEM_COMPRIMENTO DEFAULT 0.0000000 FOR CUBAGEM_COMPRIMENTO
GO


UPDATE PRODUTO
SET CEST = ''
FROM PRODUTO
WHERE CEST IS NULL

UPDATE PRODUTO
SET CEST = REPLACE(CEST, '.', '')
WHERE CEST LIKE '%.%';

ALTER TABLE PRODUTO
    ALTER COLUMN CEST VARCHAR(7) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_CEST DEFAULT '' FOR CEST
GO

UPDATE PRODUTO
SET UNIDADE_MEDIDA = ''
FROM PRODUTO
WHERE UNIDADE_MEDIDA IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN UNIDADE_MEDIDA CHAR(2) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_UNIDADE_MEDIDA DEFAULT '' FOR UNIDADE_MEDIDA
GO


UPDATE PRODUTO
SET SYNC_TOTVS = 0
FROM PRODUTO
WHERE SYNC_TOTVS IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN SYNC_TOTVS BIT NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_SYNC_TOTVS DEFAULT 0 FOR SYNC_TOTVS
GO


UPDATE PRODUTO
SET MULTIPLO_LIBERADO = 0
FROM PRODUTO
WHERE MULTIPLO_LIBERADO IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN MULTIPLO_LIBERADO BIT NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_MULTIPLO_LIBERADO DEFAULT 0 FOR MULTIPLO_LIBERADO
GO

UPDATE PRODUTO
SET TIPO_ONE = 0
FROM PRODUTO
WHERE TIPO_ONE IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN TIPO_ONE BIT NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_TIPO_ONE DEFAULT 0 FOR TIPO_ONE
GO


UPDATE PRODUTO
SET TIPO_PRO = 0
FROM PRODUTO
WHERE TIPO_PRO IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN TIPO_PRO BIT NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_TIPO_PRO DEFAULT 0 FOR TIPO_PRO
GO



UPDATE PRODUTO
SET BLOQUEIO_MARGEM = 0
FROM PRODUTO
WHERE BLOQUEIO_MARGEM IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN BLOQUEIO_MARGEM BIT NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_BLOQUEIO_MARGEM DEFAULT 0 FOR BLOQUEIO_MARGEM
GO

UPDATE PRODUTO
SET DESCONTO_ADICIONAL_MARGEM = 0
FROM PRODUTO
WHERE DESCONTO_ADICIONAL_MARGEM IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN DESCONTO_ADICIONAL_MARGEM BIT NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_DESCONTO_ADICIONAL_MARGEM DEFAULT 0 FOR DESCONTO_ADICIONAL_MARGEM
GO


UPDATE PRODUTO
SET LINK_PARA_IMAGEM = ''
FROM PRODUTO
WHERE LINK_PARA_IMAGEM IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN LINK_PARA_IMAGEM VARCHAR(2048) NOT NULL
GO


UPDATE PRODUTO
SET LINK_PARA_IMAGEM = ''
FROM PRODUTO
WHERE LINK_PARA_IMAGEM IS NULL

ALTER TABLE PRODUTO
    ALTER COLUMN LINK_PARA_IMAGEM VARCHAR(2048) NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_LINK_PARA_IMAGEM DEFAULT '' FOR LINK_PARA_IMAGEM
GO


ALTER TABLE PRODUTO
    ADD DELETED BIT
GO

UPDATE PRODUTO
SET DELETED = COALESCE(DELETAR, 0)
FROM PRODUTO
WHERE DELETED IS NULL
GO

ALTER TABLE PRODUTO
    ALTER COLUMN DELETED BIT NOT NULL
GO

ALTER TABLE PRODUTO
    ADD CONSTRAINT DF_PRODUTO_DELETED DEFAULT 0 FOR DELETED
GO

ALTER TABLE PRODUTO
    DROP COLUMN DELETAR
GO

CREATE NONCLUSTERED INDEX IX_PRODUTO_DELETED
    ON PRODUTO (DELETED)
GO

CREATE NONCLUSTERED INDEX IX_PRODUTO_ID_DELETED
    ON PRODUTO (ID, DELETED)
GO


