-- <editor-fold desc="AUDITORIA">
ALTER TABLE ENDERECO
    ALTER COLUMN DATA_CADASTRO DATETIME NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_DATA_CADASTRO DEFAULT GETDATE() FOR DATA_CADASTRO
GO

ALTER TABLE ENDERECO
    ALTER COLUMN DATA_ULTIMA_ALTERACAO DATETIME NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_DATA_ULTIMA_ALTERACAO DEFAULT GETDATE() FOR DATA_ULTIMA_ALTERACAO
GO

ALTER TABLE ENDERECO
    ALTER COLUMN CADASTRADO_POR VARCHAR(60) NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_CADASTRADO_POR DEFAULT '' FOR CADASTRADO_POR
GO

ALTER TABLE ENDERECO
    ALTER COLUMN ULTIMA_MODIFICACAO_POR VARCHAR(60) NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_ULTIMA_MODIFICACAO_POR DEFAULT '' FOR ULTIMA_MODIFICACAO_POR
GO
-- </editor-fold>

-- <editor-fold desc="TIPO">
ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_TIPO DEFAULT 'PRINCIPAL' FOR TIPO
GO
-- </editor-fold>

-- <editor-fold desc="ORIGEM">
ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_ORIGEM DEFAULT 'TODOS' FOR ORIGEM
GO
-- </editor-fold>

-- <editor-fold desc="TIPO_LOGRADOURO">
UPDATE ENDERECO
SET TIPO_LOGRADOURO = 'INDETERMINADO'
FROM ENDERECO
WHERE TIPO_LOGRADOURO IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN TIPO_LOGRADOURO VARCHAR(25) NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_TIPO_LOGRADOURO DEFAULT 'INDETERMINADO' FOR TIPO_LOGRADOURO
GO
-- </editor-fold>

-- <editor-fold desc="LOGRADOURO">
UPDATE ENDERECO
SET LOGRADOURO = ''
FROM ENDERECO
WHERE LOGRADOURO IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN LOGRADOURO VARCHAR(150) NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_LOGRADOURO DEFAULT '' FOR LOGRADOURO
GO
-- </editor-fold>

-- <editor-fold desc="NUMERO">
UPDATE ENDERECO
SET NUMERO = ''
FROM ENDERECO
WHERE NUMERO IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN NUMERO VARCHAR(20) NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_NUMERO DEFAULT '' FOR NUMERO
GO
-- </editor-fold>

-- <editor-fold desc="CIDADE">
UPDATE ENDERECO
SET CIDADE = ''
FROM ENDERECO
WHERE CIDADE IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN CIDADE VARCHAR(100) NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_CIDADE DEFAULT '' FOR CIDADE
GO
-- </editor-fold>

-- <editor-fold desc="BAIRRO">
UPDATE ENDERECO
SET BAIRRO = ''
FROM ENDERECO
WHERE BAIRRO IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN BAIRRO VARCHAR(100) NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_BAIRRO DEFAULT '' FOR BAIRRO
GO
-- </editor-fold>

-- <editor-fold desc="CEP">
UPDATE ENDERECO
SET CEP = ''
FROM ENDERECO
WHERE CEP IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN CEP VARCHAR(9) NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_CEP DEFAULT '' FOR CEP
GO
-- </editor-fold>

-- <editor-fold desc="CEP_GERAL">
UPDATE ENDERECO
SET CEP_GERAL = ''
FROM ENDERECO
WHERE CEP_GERAL IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN CEP_GERAL VARCHAR(9) NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_CEP_GERAL DEFAULT '' FOR CEP_GERAL
GO
-- </editor-fold>

-- <editor-fold desc="AREA">
UPDATE ENDERECO
SET AREA = ''
FROM ENDERECO
WHERE AREA IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN AREA VARCHAR(20) NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_AREA DEFAULT '' FOR AREA
GO
-- </editor-fold>

-- <editor-fold desc="LONGITUDE">
UPDATE ENDERECO
SET LONGITUDE = 0
FROM ENDERECO
WHERE LONGITUDE IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN LONGITUDE FLOAT NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_LONGITUDE DEFAULT 0 FOR LONGITUDE
GO
-- </editor-fold>

-- <editor-fold desc="LATITUDE">
UPDATE ENDERECO
SET LATITUDE = 0
FROM ENDERECO
WHERE LATITUDE IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN LATITUDE FLOAT NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_LATITUDE DEFAULT 0 FOR LATITUDE
GO
-- </editor-fold>

-- <editor-fold desc="COMPLEMENTO">
UPDATE ENDERECO
SET COMPLEMENTO = ''
FROM ENDERECO
WHERE COMPLEMENTO IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN COMPLEMENTO VARCHAR(150) NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_COMPLEMENTO DEFAULT '' FOR COMPLEMENTO
GO
-- </editor-fold>

-- <editor-fold desc="BLOQUEADO">
UPDATE ENDERECO
SET BLOQUEADO = 0
FROM ENDERECO
WHERE BLOQUEADO IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN BLOQUEADO BIT NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_BLOQUEADO DEFAULT 0 FOR BLOQUEADO
GO
-- </editor-fold>

-- <editor-fold desc="SYNC_CEP">
UPDATE ENDERECO
SET SYNC_CEP = 0
FROM ENDERECO
WHERE SYNC_CEP IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN SYNC_CEP BIT NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_SYNC_CEP DEFAULT 0 FOR SYNC_CEP
GO
-- </editor-fold>

-- <editor-fold desc="SYNC_TOTVS">
UPDATE ENDERECO
SET SYNC_TOTVS = 0
FROM ENDERECO
WHERE SYNC_TOTVS IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN SYNC_TOTVS BIT NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_SYNC_TOTVS DEFAULT 0 FOR SYNC_TOTVS
GO
-- </editor-fold>

-- <editor-fold desc="CEP_VALIDO">
ALTER TABLE ENDERECO
    ADD CEP_VALIDO BIT
GO

UPDATE ENDERECO
SET CEP_VALIDO = COALESCE(SYNC_CEP, 0)
FROM ENDERECO
WHERE CEP_VALIDO IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN CEP_VALIDO BIT NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_CEP_VALIDO DEFAULT 0 FOR CEP_VALIDO
GO
-- </editor-fold>

-- <editor-fold desc="DELETED">
ALTER TABLE ENDERECO
    ADD DELETED BIT
GO

UPDATE ENDERECO
SET DELETED = COALESCE(DELETAR, 0)
FROM ENDERECO
WHERE DELETED IS NULL
GO

ALTER TABLE ENDERECO
    ALTER COLUMN DELETED BIT NOT NULL
GO

ALTER TABLE ENDERECO
    ADD CONSTRAINT DF_ENDERECO_DELETED DEFAULT 0 FOR DELETED
GO

ALTER TABLE ENDERECO
    DROP COLUMN DELETAR
GO
-- </editor-fold>


-- <editor-fold desc="INDEX">
CREATE NONCLUSTERED INDEX IX_ENDERECO_DELETED ON ENDERECO (DELETED)
GO

CREATE NONCLUSTERED INDEX IX_ENDERECO_ID_DELETED ON ENDERECO (ID, DELETED)
GO

-- </editor-fold>


