-- <editor-fold desc="AUDITORIA">
    ALTER TABLE CLIENTE_PRODUTO
        ALTER COLUMN DATA_CADASTRO DATETIME NOT NULL
    GO

    ALTER TABLE CLIENTE_PRODUTO
        ADD CONSTRAINT DF_CLIENTE_PRODUTO_DATA_CADASTRO DEFAULT GETDATE() FOR DATA_CADASTRO
    GO

    ALTER TABLE CLIENTE_PRODUTO
        ALTER COLUMN DATA_ULTIMA_ALTERACAO DATETIME NOT NULL
    GO

    ALTER TABLE CLIENTE_PRODUTO
        ADD CONSTRAINT DF_CLIENTE_PRODUTO_DATA_ULTIMA_ALTERACAO DEFAULT GETDATE() FOR DATA_ULTIMA_ALTERACAO
    GO

    ALTER TABLE CLIENTE_PRODUTO
        ALTER COLUMN CADASTRADO_POR VARCHAR(60) NOT NULL
    GO

    ALTER TABLE CLIENTE_PRODUTO
        ADD CONSTRAINT DF_CLIENTE_PRODUTO_CADASTRADO_POR DEFAULT '' FOR CADASTRADO_POR
    GO

    ALTER TABLE CLIENTE_PRODUTO
        ALTER COLUMN ULTIMA_MODIFICACAO_POR VARCHAR(60) NOT NULL
    GO

    ALTER TABLE CLIENTE_PRODUTO
        ADD CONSTRAINT DF_CLIENTE_PRODUTO_ULTIMA_MODIFICACAO_POR DEFAULT '' FOR ULTIMA_MODIFICACAO_POR
    GO
-- </editor-fold>

-- <editor-fold desc="PRECO_VENDA_ULTIMO_PRATICADO">
    UPDATE CLIENTE_PRODUTO
    SET PRECO_VENDA_ULTIMO_PRATICADO = 0.00
    FROM CLIENTE_PRODUTO
    WHERE PRECO_VENDA_ULTIMO_PRATICADO IS NULL
    GO

    ALTER TABLE CLIENTE_PRODUTO
        ALTER COLUMN PRECO_VENDA_ULTIMO_PRATICADO DECIMAL(18, 2) NOT NULL
    GO

    ALTER TABLE CLIENTE_PRODUTO
        ADD CONSTRAINT DF_CLIENTE_PRODUTO_PRECO_VENDA_ULTIMO_PRATICADO DEFAULT 0.00 FOR PRECO_VENDA_ULTIMO_PRATICADO
    GO
-- </editor-fold>

-- <editor-fold desc="QUANTIDADE_VENDA_ULTIMO_PRATICADO">
UPDATE CLIENTE_PRODUTO
SET QUANTIDADE_VENDA_ULTIMO_PRATICADO = 0
FROM CLIENTE_PRODUTO
WHERE QUANTIDADE_VENDA_ULTIMO_PRATICADO IS NULL
GO

ALTER TABLE CLIENTE_PRODUTO
    ALTER COLUMN QUANTIDADE_VENDA_ULTIMO_PRATICADO INT NOT NULL
GO

ALTER TABLE CLIENTE_PRODUTO
    ADD CONSTRAINT DF_CLIENTE_PRODUTO_QUANTIDADE_VENDA_ULTIMO_PRATICADO DEFAULT 0 FOR QUANTIDADE_VENDA_ULTIMO_PRATICADO
GO
-- </editor-fold>

-- <editor-fold desc="DATA_EMISSAO_NOTA">
    UPDATE CLIENTE_PRODUTO
    SET DATA_EMISSAO_NOTA = '1900-01-01'
    FROM CLIENTE_PRODUTO
    WHERE DATA_EMISSAO_NOTA IS NULL
    GO

    ALTER TABLE CLIENTE_PRODUTO
        ALTER COLUMN DATA_EMISSAO_NOTA DATE NOT NULL
    GO

    ALTER TABLE CLIENTE_PRODUTO
        ADD CONSTRAINT DF_CLIENTE_PRODUTO_DATA_EMISSAO_NOTA DEFAULT '1900-01-01' FOR DATA_EMISSAO_NOTA
    GO
-- </editor-fold>

-- <editor-fold desc="PRODUTO_BLOQUEIO_VENDA">
    ALTER TABLE dbo.CLIENTE_PRODUTO
        ADD PRODUTO_BLOQUEIO_VENDA  BIT
    GO

    UPDATE CLIENTE_PRODUTO
    SET PRODUTO_BLOQUEIO_VENDA = 0
    FROM CLIENTE_PRODUTO
    WHERE PRODUTO_BLOQUEIO_VENDA IS NULL
    GO

    ALTER TABLE CLIENTE_PRODUTO
        ALTER COLUMN PRODUTO_BLOQUEIO_VENDA BIT NOT NULL
    GO
-- </editor-fold>

-- <editor-fold desc="DELETED">
    ALTER TABLE CLIENTE_PRODUTO
        ADD DELETED BIT
    GO

    UPDATE CLIENTE_PRODUTO
    SET DELETED = COALESCE(DELETADO, 0)
    FROM CLIENTE_PRODUTO
    WHERE DELETED IS NULL
    GO

    ALTER TABLE CLIENTE_PRODUTO
        ALTER COLUMN DELETED BIT NOT NULL
    GO

    ALTER TABLE CLIENTE_PRODUTO
        ADD CONSTRAINT DF_CLIENTE_PRODUTO_DELETED DEFAULT 0 FOR DELETED
    GO

    ALTER TABLE CLIENTE_PRODUTO
        DROP COLUMN DELETADO
    GO
-- </editor-fold>

-- <editor-fold desc="INDEX">
    CREATE NONCLUSTERED INDEX IX_CLIENTE_PRODUTO_DELETED ON CLIENTE_PRODUTO (DELETED)
    GO

    CREATE NONCLUSTERED INDEX IX_CLIENTE_PRODUTO_ID_CLIENTE_ID_PRODUTO_DELETED ON CLIENTE_PRODUTO (ID_CLIENTE, ID_PRODUTO, DELETED)
    GO

-- </editor-fold>
