DROP TABLE IF EXISTS HTTP_LOGGING
GO

CREATE TABLE HTTP_LOGGING
(
    ID                BINARY(16)    NOT NULL,
    HTTP_METHOD       VARCHAR(20)   NOT NULL,
    STATUS_CODE       INT           NOT NULL,
    REQUEST_DATE_TIME DATETIME      NOT NULL,
    CADASTRADO_POR    VARCHAR(60)   NOT NULL,
    REQUEST_URL       VARCHAR(2084) NOT NULL,
    API_CLASS_NAME    VARCHAR(255)  NOT NULL,
    API_METHOD_NAME   VARCHAR(100)  NOT NULL,
    QUERY_PARAMETERS  VARCHAR(MAX)  NOT NULL,
    REQUEST_HEADERS   VARCHAR(MAX)  NOT NULL,
    RESPONSE_HEADERS  VARCHAR(MAX)  NOT NULL,
    REQUEST           VARCHAR(MAX)  NOT NULL,
    RESPONSE          VARCHAR(MAX)  NOT NULL,
    EXCEPTION         VARCHAR(MAX)  NOT NULL,
    CONSTRAINT PK_HTTP_LOGGING PRIMARY KEY (ID)
)
GO

ALTER TABLE HTTP_LOGGING
    ADD CONSTRAINT DF_HTTP_LOGGING_ID DEFAULT NEWID() FOR ID
GO

ALTER TABLE HTTP_LOGGING
    ADD CONSTRAINT DF_HTTP_LOGGING_HTTP_METHOD DEFAULT '' FOR HTTP_METHOD
GO

ALTER TABLE HTTP_LOGGING
    ADD CONSTRAINT DF_HTTP_LOGGING_STATUS_CODE DEFAULT 0 FOR STATUS_CODE
GO

ALTER TABLE HTTP_LOGGING
    ADD CONSTRAINT DF_HTTP_LOGGING_REQUEST_DATE_TIME DEFAULT GETDATE() FOR REQUEST_DATE_TIME
GO

ALTER TABLE HTTP_LOGGING
    ADD CONSTRAINT DF_HTTP_LOGGING_CADASTRADO_POR DEFAULT '' FOR CADASTRADO_POR
GO

ALTER TABLE HTTP_LOGGING
    ADD CONSTRAINT DF_HTTP_LOGGING_REQUEST_URL DEFAULT '' FOR REQUEST_URL
GO

ALTER TABLE HTTP_LOGGING
    ADD CONSTRAINT DF_HTTP_LOGGING_API_CLASS_NAME DEFAULT '' FOR API_CLASS_NAME
GO

ALTER TABLE HTTP_LOGGING
    ADD CONSTRAINT DF_HTTP_LOGGING_API_METHOD_NAME DEFAULT '' FOR API_METHOD_NAME
GO

ALTER TABLE HTTP_LOGGING
    ADD CONSTRAINT DF_HTTP_LOGGING_QUERY_PARAMETERS DEFAULT '' FOR QUERY_PARAMETERS
GO

ALTER TABLE HTTP_LOGGING
    ADD CONSTRAINT DF_HTTP_LOGGING_REQUEST_HEADERS DEFAULT '' FOR REQUEST_HEADERS
GO

ALTER TABLE HTTP_LOGGING
    ADD CONSTRAINT DF_HTTP_LOGGING_RESPONSE_HEADERS DEFAULT '' FOR RESPONSE_HEADERS
GO

ALTER TABLE HTTP_LOGGING
    ADD CONSTRAINT DF_HTTP_LOGGING_REQUEST DEFAULT '' FOR REQUEST
GO

ALTER TABLE HTTP_LOGGING
    ADD CONSTRAINT DF_HTTP_LOGGING_RESPONSE DEFAULT '' FOR RESPONSE
GO

ALTER TABLE HTTP_LOGGING
    ADD CONSTRAINT DF_HTTP_LOGGING_EXCEPTION DEFAULT '' FOR EXCEPTION
GO

CREATE NONCLUSTERED INDEX IX_HTTP_LOGGING_REQUEST_DATE_TIME
    ON HTTP_LOGGING (REQUEST_DATE_TIME DESC)
GO

DENY UPDATE ON HTTP_LOGGING TO [public];