-- <editor-fold desc="ADD TIPO">
ALTER TABLE META_REPRESENTANTE
    ADD TIPO VARCHAR(11)
GO

UPDATE META_REPRESENTANTE
SET TIPO = 'GERAL'
FROM META_REPRESENTANTE
WHERE TIPO IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN TIPO VARCHAR(11) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT CK_META_REPRESENTANTE_TIPO
        CHECK (TIPO IN ('GERAL', 'DELUXE', 'POSITIVACAO', 'CAMPANHA'))
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_TIPO DEFAULT 'GERAL' FOR TIPO
GO
-- </editor-fold>

-- <editor-fold desc="AUDITORIA">
ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN DATA_CADASTRO DATETIME NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_DATA_CADASTRO DEFAULT GETDATE() FOR DATA_CADASTRO
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN DATA_ULTIMA_ALTERACAO DATETIME NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_DATA_ULTIMA_ALTERACAO DEFAULT GETDATE() FOR DATA_ULTIMA_ALTERACAO
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN CADASTRADO_POR VARCHAR(60) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_CADASTRADO_POR DEFAULT '' FOR CADASTRADO_POR
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN ULTIMA_MODIFICACAO_POR VARCHAR(60) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_ULTIMA_MODIFICACAO_POR DEFAULT '' FOR ULTIMA_MODIFICACAO_POR
GO
-- </editor-fold>

-- <editor-fold desc="ANO">
ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_ANO DEFAULT '1900-01-01' FOR ANO
GO
-- </editor-fold>

-- <editor-fold desc="MES_01">
UPDATE META_REPRESENTANTE
SET MES_01 = 0.00
WHERE MES_01 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN MES_01 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_MES_01 DEFAULT 0.00 FOR MES_01
GO
-- </editor-fold>

-- <editor-fold desc="MES_02">
UPDATE META_REPRESENTANTE
SET MES_02 = 0.00
WHERE MES_02 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN MES_02 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_MES_02 DEFAULT 0.00 FOR MES_02
GO
-- </editor-fold>


-- <editor-fold desc="MES_03">
UPDATE META_REPRESENTANTE
SET MES_03 = 0.00
WHERE MES_03 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN MES_03 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_MES_03 DEFAULT 0.00 FOR MES_03
GO
-- </editor-fold>


-- <editor-fold desc="MES_04">
UPDATE META_REPRESENTANTE
SET MES_04 = 0.00
WHERE MES_04 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN MES_04 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_MES_04 DEFAULT 0.00 FOR MES_04
GO
-- </editor-fold>


-- <editor-fold desc="MES_05">
UPDATE META_REPRESENTANTE
SET MES_05 = 0.00
WHERE MES_05 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN MES_05 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_MES_05 DEFAULT 0.00 FOR MES_05
GO
-- </editor-fold>


-- <editor-fold desc="MES_06">
UPDATE META_REPRESENTANTE
SET MES_06 = 0.00
WHERE MES_06 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN MES_06 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_MES_06 DEFAULT 0.00 FOR MES_06
GO
-- </editor-fold>


-- <editor-fold desc="MES_07">
UPDATE META_REPRESENTANTE
SET MES_07 = 0.00
WHERE MES_07 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN MES_07 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_MES_07 DEFAULT 0.00 FOR MES_07
GO
-- </editor-fold>


-- <editor-fold desc="MES_08">
UPDATE META_REPRESENTANTE
SET MES_08 = 0.00
WHERE MES_08 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN MES_08 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_MES_08 DEFAULT 0.00 FOR MES_08
GO
-- </editor-fold>


-- <editor-fold desc="MES_09">
UPDATE META_REPRESENTANTE
SET MES_09 = 0.00
WHERE MES_09 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN MES_09 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_MES_09 DEFAULT 0.00 FOR MES_09
GO
-- </editor-fold>


-- <editor-fold desc="MES_10">
UPDATE META_REPRESENTANTE
SET MES_10 = 0.00
WHERE MES_10 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN MES_10 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_MES_10 DEFAULT 0.00 FOR MES_10
GO
-- </editor-fold>


-- <editor-fold desc="MES_11">
UPDATE META_REPRESENTANTE
SET MES_11 = 0.00
WHERE MES_11 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN MES_11 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_MES_11 DEFAULT 0.00 FOR MES_11
GO
-- </editor-fold>


-- <editor-fold desc="MES_12">
UPDATE META_REPRESENTANTE
SET MES_12 = 0.00
WHERE MES_12 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN MES_12 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_MES_12 DEFAULT 0.00 FOR MES_12
GO
-- </editor-fold>


-- <editor-fold desc="REALIZADO_01">
UPDATE META_REPRESENTANTE
SET REALIZADO_01 = 0.00
WHERE REALIZADO_01 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN REALIZADO_01 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_REALIZADO_01 DEFAULT 0.00 FOR REALIZADO_01
GO
-- </editor-fold>


-- <editor-fold desc="REALIZADO_02">
UPDATE META_REPRESENTANTE
SET REALIZADO_02 = 0.00
WHERE REALIZADO_02 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN REALIZADO_02 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_REALIZADO_02 DEFAULT 0.00 FOR REALIZADO_02
GO
-- </editor-fold>


-- <editor-fold desc="REALIZADO_03">
UPDATE META_REPRESENTANTE
SET REALIZADO_03 = 0.00
WHERE REALIZADO_03 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN REALIZADO_03 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_REALIZADO_03 DEFAULT 0.00 FOR REALIZADO_03
GO
-- </editor-fold>


-- <editor-fold desc="REALIZADO_04">
UPDATE META_REPRESENTANTE
SET REALIZADO_04 = 0.00
WHERE REALIZADO_04 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN REALIZADO_04 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_REALIZADO_04 DEFAULT 0.00 FOR REALIZADO_04
GO
-- </editor-fold>


-- <editor-fold desc="REALIZADO_05">
UPDATE META_REPRESENTANTE
SET REALIZADO_05 = 0.00
WHERE REALIZADO_05 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN REALIZADO_05 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_REALIZADO_05 DEFAULT 0.00 FOR REALIZADO_05
GO
-- </editor-fold>


-- <editor-fold desc="REALIZADO_06">
UPDATE META_REPRESENTANTE
SET REALIZADO_06 = 0.00
WHERE REALIZADO_06 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN REALIZADO_06 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_REALIZADO_06 DEFAULT 0.00 FOR REALIZADO_06
GO
-- </editor-fold>


-- <editor-fold desc="REALIZADO_07">
UPDATE META_REPRESENTANTE
SET REALIZADO_07 = 0.00
WHERE REALIZADO_07 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN REALIZADO_07 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_REALIZADO_07 DEFAULT 0.00 FOR REALIZADO_07
GO
-- </editor-fold>


-- <editor-fold desc="REALIZADO_08">
UPDATE META_REPRESENTANTE
SET REALIZADO_08 = 0.00
WHERE REALIZADO_08 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN REALIZADO_08 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_REALIZADO_08 DEFAULT 0.00 FOR REALIZADO_08
GO
-- </editor-fold>


-- <editor-fold desc="REALIZADO_09">
UPDATE META_REPRESENTANTE
SET REALIZADO_09 = 0.00
WHERE REALIZADO_09 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN REALIZADO_09 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_REALIZADO_09 DEFAULT 0.00 FOR REALIZADO_09
GO
-- </editor-fold>


-- <editor-fold desc="REALIZADO_10">
UPDATE META_REPRESENTANTE
SET REALIZADO_10 = 0.00
WHERE REALIZADO_10 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN REALIZADO_10 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_REALIZADO_10 DEFAULT 0.00 FOR REALIZADO_10
GO
-- </editor-fold>


-- <editor-fold desc="REALIZADO_11">
UPDATE META_REPRESENTANTE
SET REALIZADO_11 = 0.00
WHERE REALIZADO_11 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN REALIZADO_11 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_REALIZADO_11 DEFAULT 0.00 FOR REALIZADO_11
GO
-- </editor-fold>


-- <editor-fold desc="REALIZADO_12">
UPDATE META_REPRESENTANTE
SET REALIZADO_12 = 0.00
WHERE REALIZADO_12 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN REALIZADO_12 DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_REALIZADO_12 DEFAULT 0.00 FOR REALIZADO_12
GO
-- </editor-fold>

-- <editor-fold desc="ID_SZW010">
UPDATE META_REPRESENTANTE
SET ID_SZW010 = 0
WHERE ID_SZW010 IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN ID_SZW010 INT NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_ID_SZW010 DEFAULT 0 FOR ID_SZW010
GO

CREATE UNIQUE INDEX UX_META_REPRESENTANTE_ID_SZW010_FILTERED
    ON META_REPRESENTANTE(ID_SZW010)
    WHERE ID_SZW010 <> 0
GO

-- </editor-fold>

-- <editor-fold desc="SYNC_TOTVS">
UPDATE META_REPRESENTANTE
SET SYNC_TOTVS = 0
WHERE SYNC_TOTVS IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN SYNC_TOTVS BIT NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_SYNC_TOTVS DEFAULT 0 FOR SYNC_TOTVS
GO
-- </editor-fold>

-- <editor-fold desc="DELETED">
ALTER TABLE META_REPRESENTANTE
    ADD DELETED BIT
GO

UPDATE META_REPRESENTANTE
SET DELETED = COALESCE(DELETADO, 0)
WHERE DELETED IS NULL
GO

ALTER TABLE META_REPRESENTANTE
    ALTER COLUMN DELETED BIT NOT NULL
GO

ALTER TABLE META_REPRESENTANTE
    ADD CONSTRAINT DF_META_REPRESENTANTE_DELETED DEFAULT 0 FOR DELETED
GO

ALTER TABLE META_REPRESENTANTE
    DROP COLUMN DELETADO
GO
-- </editor-fold>

