-- <editor-fold desc="ADD TIPO">
ALTER TABLE CONDICAO_PAGAMENTO
    ADD GARANTIA_BANCO BIT
GO

UPDATE CONDICAO_PAGAMENTO
SET GARANTIA_BANCO = 0
WHERE GARANTIA_BANCO IS NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN GARANTIA_BANCO BIT NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_GARANTIA_BANCO DEFAULT 0 FOR GARANTIA_BANCO
GO
-- </editor-fold>

-- <editor-fold desc="AUDITORIA">
ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN DATA_CADASTRO DATETIME NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_DATA_CADASTRO DEFAULT GETDATE() FOR DATA_CADASTRO
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN DATA_ULTIMA_ALTERACAO DATETIME NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_DATA_ULTIMA_ALTERACAO DEFAULT GETDATE() FOR DATA_ULTIMA_ALTERACAO
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN CADASTRADO_POR VARCHAR(60) NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_CADASTRADO_POR DEFAULT '' FOR CADASTRADO_POR
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN ULTIMA_MODIFICACAO_POR VARCHAR(60) NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_ULTIMA_MODIFICACAO_POR DEFAULT '' FOR ULTIMA_MODIFICACAO_POR
GO
-- </editor-fold>


-- <editor-fold desc="CODIGO_SE4010">
UPDATE CONDICAO_PAGAMENTO SET CODIGO_SE4010 = ''
WHERE CODIGO_SE4010 IS NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN CODIGO_SE4010 CHAR(3) NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_CODIGO_SE4010 DEFAULT '' FOR CODIGO_SE4010
GO
-- </editor-fold>

-- <editor-fold desc="TIPO">
UPDATE CONDICAO_PAGAMENTO SET TIPO = ''
WHERE TIPO IS NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN TIPO CHAR(1) NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_TIPO DEFAULT '' FOR TIPO
GO
-- </editor-fold>

-- <editor-fold desc="CONDICAO">
UPDATE CONDICAO_PAGAMENTO SET CONDICAO = ''
WHERE CONDICAO IS NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN CONDICAO VARCHAR(70) NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_CONDICAO DEFAULT '' FOR CONDICAO
GO
-- </editor-fold>

-- <editor-fold desc="DESCRICAO">
UPDATE CONDICAO_PAGAMENTO SET DESCRICAO = ''
WHERE DESCRICAO IS NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN DESCRICAO VARCHAR(15) NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_DESCRICAO DEFAULT '' FOR DESCRICAO
GO
-- </editor-fold>


-- <editor-fold desc="PARCELAS">
UPDATE CONDICAO_PAGAMENTO SET PARCELAS = 0
WHERE PARCELAS IS NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN PARCELAS INT NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_PARCELAS DEFAULT 0 FOR PARCELAS
GO
-- </editor-fold>


-- <editor-fold desc="IPI">
UPDATE CONDICAO_PAGAMENTO SET IPI = 'NORMAL'
WHERE IPI IS NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN IPI VARCHAR(6) NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_IPI DEFAULT 'NORMAL' FOR IPI
GO
-- </editor-fold>

-- <editor-fold desc="DIAS_DA_CONDICAO">
UPDATE CONDICAO_PAGAMENTO SET DIAS_DA_CONDICAO = 'FORA_O_DIA'
WHERE DIAS_DA_CONDICAO IS NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN DIAS_DA_CONDICAO VARCHAR(13) NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_DIAS_DA_CONDICAO DEFAULT 'FORA_O_DIA' FOR DIAS_DA_CONDICAO
GO
-- </editor-fold>


-- <editor-fold desc="ACRESCIMO">
UPDATE CONDICAO_PAGAMENTO SET ACRESCIMO = 'NORMAL'
WHERE ACRESCIMO IS NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN ACRESCIMO VARCHAR(6) NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_ACRESCIMO DEFAULT 'NORMAL' FOR ACRESCIMO
GO
-- </editor-fold>

-- <editor-fold desc="SOLIDARIO">
UPDATE CONDICAO_PAGAMENTO SET SOLIDARIO = 'NORMAL'
WHERE SOLIDARIO IS NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN SOLIDARIO VARCHAR(6) NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_SOLIDARIO DEFAULT 'NORMAL' FOR SOLIDARIO
GO
-- </editor-fold>

-- <editor-fold desc="PRAZO_MEDIO">

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_PRAZO_MEDIO DEFAULT 0 FOR PRAZO_MEDIO
GO
-- </editor-fold>

-- <editor-fold desc="DESCONTO">
UPDATE CONDICAO_PAGAMENTO SET DESCONTO = 0.00
WHERE DESCONTO IS NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN DESCONTO DECIMAL(18, 2) NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_DESCONTO DEFAULT 0.00 FOR DESCONTO
GO
-- </editor-fold>

-- <editor-fold desc="ADIANTAMENTO">
UPDATE CONDICAO_PAGAMENTO SET ADIANTAMENTO = 0
WHERE ADIANTAMENTO IS NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN ADIANTAMENTO BIT NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_ADIANTAMENTO DEFAULT 0 FOR ADIANTAMENTO
GO
-- </editor-fold>

-- <editor-fold desc="BLOQUEADO_WEB">
ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_BLOQUEADO_WEB DEFAULT 0 FOR BLOQUEADO_WEB
GO
-- </editor-fold>

-- <editor-fold desc="BLOQUEADO">
ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_BLOQUEADO DEFAULT 0 FOR BLOQUEADO
GO
-- </editor-fold>




-- <editor-fold desc="ID_SE4010">
ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_ID_SE4010 DEFAULT 0 FOR ID_SE4010
GO

ALTER TABLE CONDICAO_PAGAMENTO DROP CONSTRAINT IF EXISTS UC_CONDICAO_PAGAMENTO_ID_SE4010
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT UQ_CONDICAO_PAGAMENTO_ID_SE4010 UNIQUE (ID_SE4010)
GO

-- </editor-fold>

-- <editor-fold desc="SYNC_TOTVS">
UPDATE CONDICAO_PAGAMENTO
SET SYNC_TOTVS = 0
WHERE SYNC_TOTVS IS NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN SYNC_TOTVS BIT NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_SYNC_TOTVS DEFAULT 0 FOR SYNC_TOTVS
GO
-- </editor-fold>



-- <editor-fold desc="DELETED">
ALTER TABLE CONDICAO_PAGAMENTO
    ADD DELETED BIT
GO

UPDATE CONDICAO_PAGAMENTO
SET DELETED = COALESCE(DELETAR, 0)
WHERE DELETED IS NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ALTER COLUMN DELETED BIT NOT NULL
GO

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT DF_CONDICAO_PAGAMENTO_DELETED DEFAULT 0 FOR DELETED
GO

ALTER TABLE CONDICAO_PAGAMENTO
    DROP COLUMN DELETAR
GO
-- </editor-fold>

