-- <editor-fold desc="META_CLIENTE">
CREATE TABLE META_CLIENTE
(
    ID                     INT IDENTITY (1, 1) NOT NULL,
    CADASTRADO_POR         VARCHAR(60)         NOT NULL,
    DATA_CADASTRO          DATETIME            NOT NULL,
    ULTIMA_MODIFICACAO_POR VARCHAR(60)         NOT NULL,
    DATA_ULTIMA_ALTERACAO  DATETIME            NOT NULL,
    ANO                    SMALLINT            NOT NULL,
    DELETED                BIT                 NOT NULL,
    ID_REPRESENTANTE       INT                 NOT NULL,
    CONSTRAINT PK_META_CLIENTE PRIMARY KEY (ID)
)
GO
-- </editor-fold>

-- <editor-fold desc="FKs">
ALTER TABLE META_CLIENTE
    ADD CONSTRAINT FK_META_CLIENTE_ON_ID_REPRESENTANTE FOREIGN KEY (ID_REPRESENTANTE) REFERENCES REPRESENTANTE (ID_USUARIO)
GO
-- </editor-fold>


-- <editor-fold desc="AUDITORIA">
ALTER TABLE META_CLIENTE
    ADD CONSTRAINT DF_META_CLIENTE_DATA_CADASTRO DEFAULT GETDATE() FOR DATA_CADASTRO
GO

ALTER TABLE META_CLIENTE
    ADD CONSTRAINT DF_META_CLIENTE_DATA_ULTIMA_ALTERACAO DEFAULT GETDATE() FOR DATA_ULTIMA_ALTERACAO
GO

ALTER TABLE META_CLIENTE
    ADD CONSTRAINT DF_META_CLIENTE_CADASTRADO_POR DEFAULT '' FOR CADASTRADO_POR
GO

ALTER TABLE META_CLIENTE
    ADD CONSTRAINT DF_META_CLIENTE_ULTIMA_MODIFICACAO_POR DEFAULT '' FOR ULTIMA_MODIFICACAO_POR
GO
-- </editor-fold>

-- <editor-fold desc="ANO">
ALTER TABLE META_CLIENTE
    ADD CONSTRAINT DF_META_CLIENTE_ANO DEFAULT 1900 FOR ANO
GO
-- </editor-fold>

-- <editor-fold desc="DELETED">
ALTER TABLE META_CLIENTE
    ADD CONSTRAINT DF_META_CLIENTE_DELETED DEFAULT 0 FOR DELETED
GO
-- </editor-fold>


-- <editor-fold desc="INDEX DEFAULT">
CREATE NONCLUSTERED INDEX IX_META_CLIENTE_DELETED
    ON META_CLIENTE (DELETED)
GO

CREATE NONCLUSTERED INDEX IX_META_CLIENTE_ID_DELETED
    ON META_CLIENTE (ID, DELETED)
GO

CREATE NONCLUSTERED INDEX IX_META_CLIENTE_ANO_DELETED
    ON META_CLIENTE (ANO, DELETED)
GO
-- </editor-fold>

ALTER TABLE META_CLIENTE
    ADD CONSTRAINT UQ_META_CLIENTE_ANO_REPRESENTANTE UNIQUE (ANO, ID_REPRESENTANTE)
GO
