-- <editor-fold desc="META_CLIENTE_ITEM">
CREATE TABLE META_CLIENTE_ITEM
(
    ID                     INT IDENTITY (1, 1) NOT NULL,
    CADASTRADO_POR         VARCHAR(60)         NOT NULL,
    DATA_CADASTRO          DATETIME            NOT NULL,
    ULTIMA_MODIFICACAO_POR VARCHAR(60)         NOT NULL,
    DATA_ULTIMA_ALTERACAO  DATETIME            NOT NULL,
    TIPO                   VARCHAR(11)         NOT NULL,
    MES_01                 DECIMAL(18, 2)      NOT NULL,
    MES_02                 DECIMAL(18, 2)      NOT NULL,
    MES_03                 DECIMAL(18, 2)      NOT NULL,
    MES_04                 DECIMAL(18, 2)      NOT NULL,
    MES_05                 DECIMAL(18, 2)      NOT NULL,
    MES_06                 DECIMAL(18, 2)      NOT NULL,
    MES_07                 DECIMAL(18, 2)      NOT NULL,
    MES_08                 DECIMAL(18, 2)      NOT NULL,
    MES_09                 DECIMAL(18, 2)      NOT NULL,
    MES_10                 DECIMAL(18, 2)      NOT NULL,
    MES_11                 DECIMAL(18, 2)      NOT NULL,
    MES_12                 DECIMAL(18, 2)      NOT NULL,
    DELETED                BIT                 NOT NULL,
    ID_META_CLIENTE        INT                 NOT NULL,
    ID_CLIENTE             INT                 NOT NULL,
    CONSTRAINT PK_META_CLIENTE_ITEM PRIMARY KEY (ID)
)
GO
-- </editor-fold>

-- <editor-fold desc="FKs">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT FK_META_CLIENTE_ITEM_ON_ID_META_CLIENTE FOREIGN KEY (ID_META_CLIENTE) REFERENCES META_CLIENTE (ID)
GO

ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT FK_META_CLIENTE_ITEM_ON_ID_CLIENTE FOREIGN KEY (ID_CLIENTE) REFERENCES CLIENTE (ID)
GO
-- </editor-fold>


-- <editor-fold desc="AUDITORIA">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_DATA_CADASTRO DEFAULT GETDATE() FOR DATA_CADASTRO
GO

ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_DATA_ULTIMA_ALTERACAO DEFAULT GETDATE() FOR DATA_ULTIMA_ALTERACAO
GO

ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_CADASTRADO_POR DEFAULT '' FOR CADASTRADO_POR
GO

ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_ULTIMA_MODIFICACAO_POR DEFAULT '' FOR ULTIMA_MODIFICACAO_POR
GO
-- </editor-fold>


-- <editor-fold desc="TIPO">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_TIPO DEFAULT 'GERAL' FOR TIPO
GO
-- </editor-fold>

-- <editor-fold desc="MES_01">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_MES_01 DEFAULT 0.00 FOR MES_01
GO
-- </editor-fold>

-- <editor-fold desc="MES_02">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_MES_02 DEFAULT 0.00 FOR MES_02
GO
-- </editor-fold>

-- <editor-fold desc="MES_03">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_MES_03 DEFAULT 0.00 FOR MES_03
GO
-- </editor-fold>

-- <editor-fold desc="MES_04">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_MES_04 DEFAULT 0.00 FOR MES_04
GO
-- </editor-fold>

-- <editor-fold desc="MES_05">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_MES_05 DEFAULT 0.00 FOR MES_05
GO
-- </editor-fold>

-- <editor-fold desc="MES_06">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_MES_06 DEFAULT 0.00 FOR MES_06
GO
-- </editor-fold>

-- <editor-fold desc="MES_07">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_MES_07 DEFAULT 0.00 FOR MES_07
GO
-- </editor-fold>

-- <editor-fold desc="MES_08">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_MES_08 DEFAULT 0.00 FOR MES_08
GO
-- </editor-fold>

-- <editor-fold desc="MES_09">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_MES_09 DEFAULT 0.00 FOR MES_09
GO
-- </editor-fold>

-- <editor-fold desc="MES_10">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_MES_10 DEFAULT 0.00 FOR MES_10
GO
-- </editor-fold>

-- <editor-fold desc="MES_11">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_MES_11 DEFAULT 0.00 FOR MES_11
GO
-- </editor-fold>

-- <editor-fold desc="MES_12">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_MES_12 DEFAULT 0.00 FOR MES_12
GO
-- </editor-fold>

-- <editor-fold desc="DELETED">
ALTER TABLE META_CLIENTE_ITEM
    ADD CONSTRAINT DF_META_CLIENTE_ITEM_DELETED DEFAULT 0 FOR DELETED
GO
-- </editor-fold>


-- <editor-fold desc="INDEX DEFAULT">
CREATE NONCLUSTERED INDEX IX_META_CLIENTE_ITEM_DELETED
    ON META_CLIENTE_ITEM (DELETED)
GO

CREATE NONCLUSTERED INDEX IX_META_CLIENTE_ITEM_ID_DELETED
    ON META_CLIENTE_ITEM (ID, DELETED)
GO

CREATE NONCLUSTERED INDEX IX_META_CLIENTE_ITEM_ID_META_CLIENTE_DELETED
    ON META_CLIENTE_ITEM (ID_META_CLIENTE, DELETED)
GO
-- </editor-fold>
